package com.cloudbility.openapi;

import com.cloudbility.openapi.vo.JobVo;
import com.cloudbility.openapi.vo.ScriptExecutingHostsInfo;
import com.cloudbility.openapi.vo.ScriptRunResult;

import java.util.concurrent.Future;

public interface AsyncScriptApi {
    JobVo executeScript(int scriptId, ScriptExecutingHostsInfo executingHostsInfo, ScriptListener listener) throws OpenapiException;

    /**
     * 注意，Future的cancel方法并不会取消脚本在主机上的执行，只是取消本地的轮询而已
     *
     * @param scriptId
     * @param executingHostsInfo
     * @return
     * @throws OpenapiException
     */
    Future<ScriptRunResult> executeScriptAsync(int scriptId, ScriptExecutingHostsInfo executingHostsInfo) throws OpenapiException;

}
