package com.cloudbility.openapi;

import com.cloudbility.openapi.response.CredentialHostsResult;
import com.cloudbility.openapi.response.CredentialRolesResult;
import com.cloudbility.openapi.response.GetCredentialListResult;
import com.cloudbility.openapi.vo.CreateCredentialRequest;
import com.cloudbility.openapi.vo.CredentialHostBrief;
import com.cloudbility.openapi.vo.CredentialVo;

public interface CredentialApi {
    GetCredentialListResult getByHost(long hostId) throws OpenapiException;

    GetCredentialListResult getByTeam(long teamId) throws OpenapiException;

    GetCredentialListResult getByTeamCode(String teamCode) throws OpenapiException;

    CredentialHostsResult getCredentailHostsById(long credentialId) throws OpenapiException;

    CredentialRolesResult getCredentialRolesById(long credentialId) throws OpenapiException;

    CredentialVo createCredential(CreateCredentialRequest request) throws OpenapiException;

    CredentialHostBrief addCredentailHost(long credentialId, long hostId,
                                          Integer port, String password,
                                          String key, Long operator) throws OpenapiException;

    /**
     * @param credentialId
     * @param hostId
     * @param port
     * @param password
     * @param key
     * @param operator
     * @param suPassword
     * @return
     * @throws OpenapiException
     * @since v4.13
     */
    CredentialHostBrief addCredentailHost(long credentialId, long hostId,
                                          Integer port, String password,
                                          String key, Long operator, String suPassword) throws OpenapiException;

    CredentialVo updateCredential(long credentialId, String name, String account, String roles) throws OpenapiException;

    /**
     * @param credentialId
     * @param name
     * @param account
     * @param roles
     * @param suUser
     * @param suCommand
     * @return
     * @throws OpenapiException
     * @since v4.13
     */
    CredentialVo updateCredential(long credentialId, String name, String account, String roles, String suUser, String suCommand) throws OpenapiException;

    void deleteCredential(long credentialId) throws OpenapiException;

    void deleteHostFromCredential(long credentialId, long hostId) throws OpenapiException;


}
