package com.cloudbility.openapi;

import com.cloudbility.openapi.response.*;
import com.cloudbility.openapi.vo.DbType;

/**
 * @author chjgan
 * @date 2020/1/16 11:03
 */
public interface DbApi {
    ListDbGroupResult getDbGroups(Long teamId) throws OpenapiException;

    void updateDbGroup(Long dbGroupId, String name) throws OpenapiException;

    void createDbGroup(Long teamId, String name) throws OpenapiException;

    void deleteDbGroup(Long dbGroupId, Long userId) throws OpenapiException;

    DbVo getDbById(Long dbId) throws OpenapiException;

    ListDbResult listDbs(Long dbGroupId) throws OpenapiException;

    ListDbResult listDbs(Long teamId,Long userId) throws OpenapiException;

    ListDbResult listDbsByPage(Long teamId, Integer page, Integer size) throws OpenapiException;

    DbVo createDb(Long teamId,
                  Long dbGroupId,
                  String name,
                  DbType dbType,
                  JumpServerType jumpServerType,
                  Integer jumpServerPort,
                  Long jumpServerId,
                  Long creatorId,
                  Long hostId,
                  String ip,
                  Integer port,
                  DbLocation location,
                  boolean autoStart) throws OpenapiException;

    void editDb(Long dbId,
                Long dbGroupId,
                String name,
                DbType dbType,
                JumpServerType jumpServerType,
                Long jumpServerId,
                String ip,
                String isInner,
                Integer port) throws OpenapiException;

    void deleteDb(Long dbId, Long userId) throws OpenapiException;

    void createDbPlan(Long dbId,
                      Long teamId,
                      Long creatorId,
                      String name,
                      String dbUser,
                      String dbPassword,
                      String dbInstance,
                      String description,
                      String roleIds,
                      String userIds) throws OpenapiException;

    void deleteDbPlan(Long planId, Long userId) throws OpenapiException;

}
