package com.cloudbility.openapi;

import java.util.HashMap;
import java.util.Map;

public class OpenapiException extends Exception {
    private OpenapiErrorCode errorCode;
    private int statusCode = 0;
    private String requestId;

    public OpenapiException(int statusCode, String requestId, OpenapiErrorCode errorCode) {
        super("http code:" + statusCode + ",requestId:" + requestId + ",error:" + errorCode.toString());
        this.errorCode = errorCode;
        this.statusCode = statusCode;
        this.requestId = requestId;
    }

    public OpenapiException(int statusCode, OpenapiErrorCode errorCode) {
        super("http code:" + statusCode + ",error:" + errorCode.toString());
        this.errorCode = errorCode;
        this.statusCode = statusCode;
    }

    public OpenapiException(OpenapiErrorCode errorCode) {
        super(errorCode.toString());
        this.errorCode = errorCode;
    }

    public OpenapiException(OpenapiErrorCode errorCode, Throwable cause) {
        super(errorCode.toString(), cause);
        this.errorCode = errorCode;
    }

    public int getStatusCode() {
        return statusCode;
    }

    public void setStatusCode(int statusCode) {
        this.statusCode = statusCode;
    }

    public OpenapiErrorCode getErrorCode() {
        return errorCode;
    }

    public String getRequestId() {
        return requestId;
    }

    public Map<String, Object> toMap() {
        Map<String, Object> map = new HashMap<>();
        map.put("errorCode", errorCode);
        map.put("statusCode", statusCode);
        map.put("requestId", requestId);
        return map;
    }
}
