package com.cloudbility.openapi;

import java.math.BigDecimal;

public class OpenapiUtils {

    /**
     * 保留两位小数
     *
     * @param decimal
     * @return
     */
    public static String toCurrencyString(BigDecimal decimal) {
        return String.valueOf(decimal.setScale(2, BigDecimal.ROUND_HALF_UP).doubleValue());
    }

    public static BigDecimal fromCurrencyString(String decimalStr) {
        try {
            return BigDecimal.valueOf(Double.parseDouble(decimalStr)).setScale(2, BigDecimal.ROUND_HALF_UP);
        } catch (NumberFormatException e) {
            throw new IllegalArgumentException("invalid currency number :" + e.getMessage());
        }
    }

}
