package com.cloudbility.openapi;

import com.cloudbility.openapi.response.*;
import com.cloudbility.openapi.vo.QuotaUsedItemVo;

public interface QuotaApi {

    QuotaItemResult getQuotaItems() throws OpenapiException;

    QuotaUsedItemResult getTeamQuotas(long teamId) throws OpenapiException;

    QuotaUsedItemVo getTeamQuota(long teamId, String code) throws OpenapiException;

    /**
     * 用覆盖的方式更新已用配额
     * @param teamId
     * @param code
     * @param used
     * @throws OpenapiException
     */
    QuotaUsedItemVo updateTeamQuotaUsed(long teamId, String code, long used) throws OpenapiException;

    /**
     * 用追加的方式更新已用配额
     * @param teamId
     * @param code
     * @param increment
     * @throws OpenapiException
     */
    QuotaUsedItemVo increaseTeamQuotaUsed(long teamId, String code, long increment) throws OpenapiException;

    /**
     * 查询模块信息
     * @param teamId
     * @param moduleCode 模块code
     * @return
     * @throws OpenapiException
     */
    ModuleVo getTeamModule(long teamId, ModuleDefinition moduleCode) throws OpenapiException;

    /**
     * 获取模块时长
     * @param moduleCode
     * @return
     */
    ModuleTermListResult getModuleTerms(String moduleCode) throws OpenapiException;
}
