package com.cloudbility.openapi;

import com.cloudbility.openapi.response.GetHostBriefResult;
import com.cloudbility.openapi.response.HostDetailListResult;
import com.cloudbility.openapi.response.ListTagResult;
import com.cloudbility.openapi.response.TagDetailResult;

import java.util.List;

public interface TagApi {

    ListTagResult getTags(long teamId) throws OpenapiException;

    ListTagResult getByHost(long hostId) throws OpenapiException;

    TagDetailResult getTag(int tagId) throws OpenapiException;

    HostDetailListResult getHostByTag(int tagId) throws OpenapiException;

    GetHostBriefResult getHostIdsByTag(int tagId) throws OpenapiException;

    TagDetailResult createTag(long teamId, String name) throws OpenapiException;

    TagDetailResult attachToHostByName(long teamId, String name, List<Long> hostIds) throws OpenapiException;

    void updateTagName(int tagId, String newName) throws OpenapiException;

    void updateTagNameAndValue(int tagValueId, String newName, String newValue) throws OpenapiException;

    void updateTagValue(int tagValueId, String newValue) throws OpenapiException;

    void detachFromHostByName(long teamId, String name, List<Long> hostIds) throws OpenapiException;

    void deleteTag(int tagId) throws OpenapiException;


}
