package com.cloudbility.openapi;

import com.cloudbility.openapi.enums.zstack.DeleteModeType;
import com.cloudbility.openapi.enums.zstack.UsingStateEventType;
import com.cloudbility.openapi.enums.zstack.VolumeProvisioningStrategyType;
import com.cloudbility.openapi.enums.zstack.VolumeStatusType;
import com.cloudbility.openapi.response.DataDiskListResult;
import com.cloudbility.openapi.response.DiskOfferingListResult;
import com.cloudbility.openapi.vo.DataDiskVo;
import com.cloudbility.openapi.vo.Scope;
import org.zstack.sdk.DiskOfferingInventory;

import java.util.Set;

public interface VolumeApi {

    DataDiskVo createZStackVolume(String clientToken,
                                  Long cloudId,
                                  Scope scope,
                                  String name,
                                  String diskOfferingId,
                                  String description,
                                  String primaryStorageId,
                                  VolumeProvisioningStrategyType provisioningStrategy) throws OpenapiException;

    DataDiskListResult listZStackVolumes(Long cloudId,
                                         Scope scope,
                                         String instanceId,
                                         Set<String> diskIdSet,
                                         String name,
                                         VolumeStatusType volumeStatus) throws OpenapiException;

    DiskOfferingListResult listZStackDiskOfferings(Long cloudId,
                                                   Scope scope,
                                                   Set<String> diskOfferingIds,
                                                   String name,
                                                   Long diskSizeInMb) throws OpenapiException;

    DiskOfferingListResult changeZStackDiskOfferings(String clientToken,
                                                     Long cloudId,
                                                     Scope scope,
                                                     Set<String> diskOfferingIds,
                                                     UsingStateEventType stateEvent) throws OpenapiException;

    void deleteZStackDiskOfferings(String clientToken,
                                   Long cloudId,
                                   Scope scope,
                                   Set<String> diskOfferingIds,
                                   DeleteModeType deleteMode) throws OpenapiException;

    DiskOfferingInventory createZStackDiskOffering(String clientToken,
                                                   Long cloudId,
                                                   Scope scope,
                                                   String name,
                                                   Long diskSizeInMb,
                                                   String description,
                                                   Long readBandwidthInMb,
                                                   Long writeBandwidthInMb,
                                                   Long totalBandwidthInMb) throws OpenapiException;
}
