package com.cloudbility.openapi;

import com.cloudbility.openapi.response.WorkTaskVoResult;
import com.cloudbility.openapi.response.WorkflowInstanceVoResult;
import com.cloudbility.openapi.vo.WorkItemStageVo;
import com.cloudbility.openapi.vo.WorkTypeVo;

import java.util.Date;

public interface WorkflowApi {
    /**
     * @param teamId
     * @param userId
     * @param stage
     * @param workType
     * @param page
     * @param size
     * @param sortField :createTime,status
     * @param sortOrder :asc,desc
     * @return
     */
    WorkflowInstanceVoResult getMyWorkflowInstances(long teamId,
                                                    long userId,
                                                    WorkItemStageVo stage,
                                                    WorkTypeVo workType,
                                                    int page,
                                                    int size,
                                                    String sortField,
                                                    String sortOrder) throws OpenapiException;

    WorkTaskVoResult getWorkflowTasksByCursor(long teamId, int cursor, WorkTypeVo workType, WorkItemStageVo stage, int size) throws OpenapiException;


    WorkTaskVoResult getWorkflowTasksByCreateTime(long teamId, WorkTypeVo workType, WorkItemStageVo stage, Date fromTime, Date toTime) throws OpenapiException;

    WorkTaskVoResult getWorkflowTasksByUpdateTime(long teamId, WorkTypeVo workType, WorkItemStageVo stage, Date fromTime, Date toTime) throws OpenapiException;

}
