package com.cloudbility.openapi;

import com.cloudbility.openapi.client.*;
import org.apache.http.client.HttpClient;

public class ZstackOpenapiClient extends OpenapiClient implements ZstackOpenapiOperation{

    public ZstackOpenapiClient(OpenapiConfig openapiConfig, HttpClient httpClient) {
        super(openapiConfig, httpClient);
    }

    public ZstackOpenapiClient(OpenapiConfig openapiConfig) {
        super(openapiConfig);
    }

    @Override
    public ImageApi imageApi() {
        return new DefaultImageApi(this);
    }

    @Override
    public ImageHostApi imageHostApi() {
        return new DefaultImageHostApi(this);
    }

    @Override
    public NetworkApi networkApi() {
        return new DefaultNetworkApi(this);
    }

    @Override
    public VolumeApi volumeApi() {
        return new DefaultVolumeApi(this);
    }
}
