package com.cloudbility.openapi.client;

import java.io.FilterInputStream;
import java.io.IOException;
import java.io.InputStream;
import java.io.OutputStream;

/**
 * Created by Weijun on 2017/8/14.
 */
public class CloseAwareInputStream extends FilterInputStream {

    private CloseListener closeListener;

    public CloseAwareInputStream(InputStream in, CloseListener closeListener) {
        super(in);
        this.closeListener = closeListener;
    }

    @Override
    public void close() throws IOException {
        super.close();
        if (closeListener != null) {
            closeListener.onClosed();
        }
    }

    public interface CloseListener {
        void onClosed();
    }
}
