package com.cloudbility.openapi.common;


import com.cloudbility.openapi.common.codec.CodecBase64;

/**
 * Base64 编码解码算法
 *
 * @author atlas
 */
public final class Base64Util {
    private Base64Util() {

    }

    public static String encode(byte[] raw) {
        return CodecBase64.encodeBase64String(raw);
    }

    public static byte[] decode(String base64) {
        return CodecBase64.decodeBase64(base64);
    }

    public static String encodeURLSafe(byte[] data) {
        return CodecBase64.encodeBase64URLSafeString(data);
    }

    /**
     * 判断一个字符串是否Base64格式，不大准确
     * @param base64
     * @return
     */
    public static boolean isBase64(String base64) {
        return CodecBase64.isBase64(base64);
    }

}