package com.cloudbility.openapi.common;

import java.io.*;
import java.util.Properties;

public class DemoUtil {

    public static Properties load(String config) throws IOException {
        File file = new File(config);
        InputStream inputStream = null;
        if (file.exists()) {
            inputStream = new FileInputStream(file);
        }
        if (inputStream == null) {
            inputStream = DemoUtil.class.getResourceAsStream(config);
        }
        if (inputStream == null && !config.startsWith("/")) {
            inputStream = DemoUtil.class.getResourceAsStream("/" + config);
        }
        if (inputStream == null) {
            throw new FileNotFoundException(config);
        }
        Properties prop = new Properties();
        prop.load(inputStream);
        return prop;

    }
}
