package com.cloudbility.openapi.demo;

import com.cloudbility.openapi.OpenapiClient;
import com.cloudbility.openapi.OpenapiException;
import com.cloudbility.openapi.client.OpenapiConfig;
import com.cloudbility.openapi.request.OAuthLoginRequest;
import com.cloudbility.openapi.response.OAuthUrlResult;
import com.cloudbility.openapi.vo.RedirectPage;

/**
 * 获取自动登录的URL（OAuth login url）
 */
public class GetAutoLoginAuthUrlDemo extends AbstractDemo{

    public static void main(String[] args) {
        //client对象可以复用，可以并发使用
        OpenapiClient client = createOpenapiClient(accessKeyId, accessKeySecret, endpoint);
        OAuthLoginRequest request = new OAuthLoginRequest();
        request.setExpireSeconds(300);//链接300秒有效
        request.setOneoff(true);//链接一次有效
        request.setUserId(1L);//登录用户id=1
        request.setTeamId(1L);//登录后进入团队id=1
        request.setPage(RedirectPage.Home);//登录后打开首页菜单
        try {
            OAuthUrlResult result = client.otherApi().getOAuthLogin(request);
            System.out.println(result.getUrl());
            //输出：http://188.188.77.136/api/openapiOAuth?token=kUfssyjZTbO3hPilVq_qZg
        } catch (OpenapiException e) {
            e.printStackTrace();
        }
    }

}
