package com.cloudbility.openapi.demo;

import com.cloudbility.openapi.OpenapiClient;
import com.cloudbility.openapi.OpenapiException;
import com.cloudbility.openapi.TokenProvider;
import com.cloudbility.openapi.client.OpenapiConfig;
import com.cloudbility.openapi.common.JsonUtil;
import com.cloudbility.openapi.response.CloudHostResult;

public class GetUserAccessHostsDemo {
    public static final String accessKeyId = "eyHp1bV1FmrkQGna";
    public static final String accessKeySecret = "E2UXyV5lelF0MA9vaSRMRIHrjxm843";
    public static final String endpoint = "http://188.188.77.136/api/openapi";

    public static void main(String[] args) {
        OpenapiClient openapiClient = createOpenapiClient(accessKeyId, accessKeySecret, endpoint);
//        或者使用
//        String token = "Dwp0bCxLTZqx3F1pZNPwSA";
//        openapiClient = createOpenapiClient(token,endpoint);
        try {
            Long teamId = 1L;
            Long userId = 1L;
            CloudHostResult result = openapiClient.hostApi().getByUser(teamId, userId);
            System.out.println(JsonUtil.toJson(result));
        } catch (OpenapiException e) {
            e.printStackTrace();
        }
    }

    public static OpenapiClient createOpenapiClient(String token, String endpoint) {
        OpenapiConfig config = new OpenapiConfig();
        config.setEndpoint(endpoint);
        config.setTokenProvider(new TokenProvider() {
            @Override
            public String getToken() {
                return token;
            }
        });
        return new OpenapiClient(config);
    }


    public static OpenapiClient createOpenapiClient(String accessKeyId, String accessKeySecret, String endpoint) {
        OpenapiConfig config = new OpenapiConfig();
        config.setAccessKeyId(accessKeyId);
        config.setAccessKeySecret(accessKeySecret);
        config.setEndpoint(endpoint);
        return new OpenapiClient(config);
    }
}
