package com.cloudbility.openapi.enums.zstack;

import com.cloudbility.openapi.common.StringUtil;

/**
 * 物理机分配策略
 */
public enum HostAllocatorStrategyType {
    /**
     * 随机分配
     */
    DefaultHostAllocatorStrategy,
    /**
     * 运行云主机数量最少
     */
    LeastVmPreferredHostAllocatorStrategy,
    /**
     * CPU使用率最低
     */
    MinimumCPUUsageHostAllocatorStrategy,
    /**
     * 内存使用率最低
     */
    MinimumMemoryUsageHostAllocatorStrategy,
    /**
     * 运行云主机最大数量
     */
    MaxInstancePerHostHostAllocatorStrategy,
    /**
     * 首选上次所在物理机
     */
    LastHostPreferredAllocatorStrategy;

    public static HostAllocatorStrategyType forName(String name) {
        if (StringUtil.notEmpty(name)) {
            for (HostAllocatorStrategyType type : values()) {
                if (type.name().equalsIgnoreCase(name)) {
                    return type;
                }
            }
        }
        return null;
    }
}
