package com.cloudbility.openapi.enums.zstack;

import com.cloudbility.openapi.common.StringUtil;

public enum InstanceStateType {
    Created,
    Starting,
    Running,
    Stopping,
    Stopped,
    Rebooting,
    Destroying,
    Destroyed,
    Migrating,
    Expunging,
    Pausing,
    Paused,
    Resuming,
    VolumeMigrating,
    Unknown,;

    public static InstanceStateType forName(String name) {
        if (StringUtil.notEmpty(name)) {
            for (InstanceStateType type : values()) {
                if (type.name().equalsIgnoreCase(name)) {
                    return type;
                }
            }
        }
        return null;
    }
}
