package com.cloudbility.openapi.enums.zstack;

import com.cloudbility.openapi.common.StringUtil;

public enum Ipv6AddressModeType {
    StatefulDHCP("Stateful-DHCP"),
    StatelessDHCP("Stateless-DHCP"),
    SLAAC("SLAAC");

    private String code;

    Ipv6AddressModeType(String code) {
        this.code = code;
    }

    public String getCode() {
        return this.code;
    }

    public static Ipv6AddressModeType forCode(String value) {
        if (StringUtil.notEmpty(value)) {
            for (Ipv6AddressModeType mode : values()) {
                if (mode.getCode().equalsIgnoreCase(value)) {
                    return mode;
                }
            }
        }
        return null;
    }

    public static Ipv6AddressModeType forName(String name) {
        if (StringUtil.notEmpty(name)) {
            for (Ipv6AddressModeType type : values()) {
                if (type.name().equalsIgnoreCase(name)) {
                    return type;
                }
            }
        }
        return null;
    }
}
