package com.cloudbility.openapi.feign_demo;

import com.cloudbility.openapi.client.OpenapiConfig;
import com.cloudbility.openapi.common.networking.HttpClientBuilder;
import com.cloudbility.openapi.v2.OtherApi;
import com.cloudbility.openapi.v2.ScriptApi;
import com.cloudbility.openapi.v2.client.FeignClientConfig;
import com.cloudbility.openapi.v2.client.OpenapiClient;
import feign.httpclient.ApacheHttpClient;
import feign.slf4j.Slf4jLogger;
import org.springframework.cloud.openfeign.support.SpringMvcContract;

public class FeignOpenapiClientDemo {
    public static void main(String[] args) {
        OpenapiConfig config = new OpenapiConfig();
        config.setEndpoint("http://127.0.0.1:8080/api/openapi");
        config.setAccessKeyId("kSdadbSfWDeO4e41");
        config.setAccessKeySecret("iC9rI6wzHbLfFPDayv0QTrKRkRGCFt");

        FeignClientConfig fc = new FeignClientConfig();
        fc.setLogger(new Slf4jLogger());
        fc.setContract(new SpringMvcContract());
        fc.setClient(new ApacheHttpClient(HttpClientBuilder.buildHttpClient(config)));

        OpenapiClient client = new OpenapiClient(config, fc);
        OtherApi otherApi = client.getApi(OtherApi.class);
        System.out.println(otherApi.checkSaaS());
        ScriptApi scriptApi = client.getApi(ScriptApi.class);
    }
}
