package com.cloudbility.openapi.request;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
/**
 * 主机模板导入主机
 *
 * @author heyanqiao
 * @since 2021-03-09
 */
@ApiModel
public class CloudHostTemplateVo {

    @ApiModelProperty("交换机ID")
    String vSwitchId;

    @ApiModelProperty("付费方式：PrePaid(包年包月)、PostPaid(按量付费)")
    private String instanceChargeType;

    @ApiModelProperty("实例规格")
    private String instanceType;

    @ApiModelProperty("安全组ID，多个使用逗号分割")
    private String securityGroupIds;

    @ApiModelProperty("购买时长")
    private Integer period;
    @ApiModelProperty("购买时长单位,Week|Month|Year")
    private String periodUnit;
    @ApiModelProperty("主机数量")
    private Integer instanceCount;

    @ApiModelProperty("主机用户名")
    private String userName;
    @ApiModelProperty("是否指定密码")
    private boolean passwordInherit;

    @ApiModelProperty("密码")
    private String password;
    @ApiModelProperty("密钥对")
    private String keypairName;

    @ApiModelProperty("是否多主机使用同配置")
    private Boolean theSameConfig;

    @ApiModelProperty("主机名称，多个使用逗号分割")
    private String names;

    @ApiModelProperty("计费类型：PayByBandwidth(按固定带宽计费)、PayByTraffic(按带宽流量计费)")
    private String internetChargeType;
    @ApiModelProperty("公网带宽(M)/流量(Mbps)")
    private Integer internetMaxBandwidthOut;


    public String getvSwitchId() {
        return vSwitchId;
    }

    public void setvSwitchId(String vSwitchId) {
        this.vSwitchId = vSwitchId;
    }

    public String getInstanceChargeType() {
        return instanceChargeType;
    }

    public void setInstanceChargeType(String instanceChargeType) {
        this.instanceChargeType = instanceChargeType;
    }

    public String getInstanceType() {
        return instanceType;
    }

    public void setInstanceType(String instanceType) {
        this.instanceType = instanceType;
    }

    public String getSecurityGroupIds() {
        return securityGroupIds;
    }

    public void setSecurityGroupIds(String securityGroupIds) {
        this.securityGroupIds = securityGroupIds;
    }

    public Integer getPeriod() {
        return period;
    }

    public void setPeriod(Integer period) {
        this.period = period;
    }

    public String getPeriodUnit() {
        return periodUnit;
    }

    public void setPeriodUnit(String periodUnit) {
        this.periodUnit = periodUnit;
    }

    public Integer getInstanceCount() {
        return instanceCount;
    }

    public void setInstanceCount(Integer instanceCount) {
        this.instanceCount = instanceCount;
    }

    public String getUserName() {
        return userName;
    }

    public void setUserName(String userName) {
        this.userName = userName;
    }

    public boolean isPasswordInherit() {
        return passwordInherit;
    }

    public void setPasswordInherit(boolean passwordInherit) {
        this.passwordInherit = passwordInherit;
    }

    public String getPassword() {
        return password;
    }

    public void setPassword(String password) {
        this.password = password;
    }

    public String getKeypairName() {
        return keypairName;
    }

    public void setKeypairName(String keypairName) {
        this.keypairName = keypairName;
    }

    public Boolean getTheSameConfig() {
        return theSameConfig;
    }

    public void setTheSameConfig(Boolean theSameConfig) {
        this.theSameConfig = theSameConfig;
    }

    public String getNames() {
        return names;
    }

    public void setNames(String names) {
        this.names = names;
    }

    public String getInternetChargeType() {
        return internetChargeType;
    }

    public void setInternetChargeType(String internetChargeType) {
        this.internetChargeType = internetChargeType;
    }

    public Integer getInternetMaxBandwidthOut() {
        return internetMaxBandwidthOut;
    }

    public void setInternetMaxBandwidthOut(Integer internetMaxBandwidthOut) {
        this.internetMaxBandwidthOut = internetMaxBandwidthOut;
    }
}
