package com.cloudbility.openapi.request;

import com.cloudbility.openapi.vo.ImportHostVo;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;

import java.util.ArrayList;
import java.util.List;

/**
 * 不设置cloudId和groupId时，会选择默认创建的云账户和分组
 */
@ApiModel
public class ImportHostRequest {

    /**
     * teamId
     */
    @ApiModelProperty(required = true, value = "所属团队id")
    private Long teamId;

    /**
     * 必须：行云管家 cloud id，不设置会选择默认创建的云账户
     */
    @ApiModelProperty(required = true, value = "所属云账户ID")
    private Long cloudId;

    @ApiModelProperty(required = true, value = "主机信息列表")
    private List<ImportHostVo> hosts = new ArrayList<>();

    @ApiModelProperty(value = "4.8添加的属性：导入主机默认加入的虚拟分组的ID列表。默认不添加到任何虚拟分组")
    private List<Long> vgIds = new ArrayList<>();

    public Long getCloudId() {
        return cloudId;
    }

    public void setCloudId(Long cloudId) {
        this.cloudId = cloudId;
    }

    public List<ImportHostVo> getHosts() {
        return hosts;
    }

    public void setHosts(List<ImportHostVo> hosts) {
        this.hosts = hosts;
    }

    public Long getTeamId() {
        return teamId;
    }

    public void setTeamId(Long teamId) {
        this.teamId = teamId;
    }

    public List<Long> getVgIds() {
        return vgIds;
    }

    public void setVgIds(List<Long> vgIds) {
        this.vgIds = vgIds;
    }
}
