package com.cloudbility.openapi.request;

import com.cloudbility.openapi.vo.RedirectPage;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;

@ApiModel
public class OAuthLoginRequest {
    /**
     * 必须：登录的用户id
     */
    @ApiModelProperty(required = true, value = "登录的用户id")
    private Long userId;
    /**
     * 登录后打开哪个团队的首页，
     */
    @ApiModelProperty(value = "打开团队的首页")
    private Long teamId;
    /**
     * 查看主机详情时，填写的主机
     */
    @ApiModelProperty(value = "打开主机详情页面")
    private Long hostId;

    @ApiModelProperty(value = "打开特定的工单流程")
    private Long workflowInstanceId;

    /**
     * 超时时间，范围是5分钟~2小时
     */
    @ApiModelProperty(required = true, value = "超时时间,秒,[5min,2h]")
    private long expireSeconds = 10 * 60;

    /**
     * 打开的页面，默认是首页
     */
    @ApiModelProperty(required = false, value = "重定向的页面")
    private RedirectPage page;

    @ApiModelProperty(required = true, value = "是否一次有效")
    private boolean oneoff = true;

    @ApiModelProperty(value = "重定向URL")
    private String redirectUrl;

    public Long getUserId() {
        return userId;
    }

    public void setUserId(Long userId) {
        this.userId = userId;
    }

    public Long getTeamId() {
        return teamId;
    }

    public void setTeamId(Long teamId) {
        this.teamId = teamId;
    }

    public Long getHostId() {
        return hostId;
    }

    public void setHostId(Long hostId) {
        this.hostId = hostId;
    }

    public long getExpireSeconds() {
        return expireSeconds;
    }

    public void setExpireSeconds(long expireSeconds) {
        this.expireSeconds = expireSeconds;
    }

    public RedirectPage getPage() {
        return page;
    }

    public void setPage(RedirectPage page) {
        this.page = page;
    }

    public boolean isOneoff() {
        return oneoff;
    }

    public void setOneoff(boolean oneoff) {
        this.oneoff = oneoff;
    }

    public String getRedirectUrl() {
        return redirectUrl;
    }

    public void setRedirectUrl(String redirectUrl) {
        this.redirectUrl = redirectUrl;
    }

    public Long getWorkflowInstanceId() {
        return workflowInstanceId;
    }

    public void setWorkflowInstanceId(Long workflowInstanceId) {
        this.workflowInstanceId = workflowInstanceId;
    }
}
