package com.cloudbility.openapi.requestor;

import com.cloudbility.openapi.client.HttpMethod;

import java.util.Map;

public interface OpenapiRequestor {

    HttpMethod getHttpMethod();

    String getPath();

    Object getRequest();

    Map<String, String> getHeaders();

    Map<String, Object> getQueryParameters();

    boolean isTokenSet();

    /**
     * 当前请求是否需要认证
     *
     * @return
     */
    boolean needAuthorized();

    /**
     * @return payload 长度，或者-1时，需要框架计算
     */
    long getContentLength();

    boolean isMultipart();
}
