package com.cloudbility.openapi.response;


import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;

import java.util.List;

/**
 * 访问串操作响应实体
 *
 * @author heyanqiao
 * @since 2020-07-29
 */
@ApiModel
public class AccessAuthResult extends OpenapiResponse {

    @ApiModelProperty("访问串ID")
    private Long id;

    @ApiModelProperty("跳板机地址")
    private String serverAddr;

    @ApiModelProperty("服务端口")
    private Integer port;

    @ApiModelProperty("账号")
    private String account;

    @ApiModelProperty("密码")
    private String password;

    @ApiModelProperty("用户ID")
    private Long userId;

    @ApiModelProperty("主机ID")
    private Long hostId;

    @ApiModelProperty("登陆凭证ID")
    private Long credentialId;


    public AccessAuthResult() {
    }

    public AccessAuthResult(Long id, String serverAddr, Integer port, String account, String password, Long userId, Long hostId, Long credentialId) {
        this.id = id;
        this.serverAddr = serverAddr;
        this.port = port;
        this.account = account;
        this.password = password;
        this.userId = userId;
        this.hostId = hostId;
        this.credentialId = credentialId;
    }

    public Long getId() {
        return id;
    }

    public void setId(Long id) {
        this.id = id;
    }

    public String getServerAddr() {
        return serverAddr;
    }

    public void setServerAddr(String serverAddr) {
        this.serverAddr = serverAddr;
    }

    public Integer getPort() {
        return port;
    }

    public void setPort(Integer port) {
        this.port = port;
    }

    public String getAccount() {
        return account;
    }

    public void setAccount(String account) {
        this.account = account;
    }

    public String getPassword() {
        return password;
    }

    public void setPassword(String password) {
        this.password = password;
    }

    public Long getUserId() {
        return userId;
    }

    public void setUserId(Long userId) {
        this.userId = userId;
    }

    public Long getHostId() {
        return hostId;
    }

    public void setHostId(Long hostId) {
        this.hostId = hostId;
    }

    public Long getCredentialId() {
        return credentialId;
    }

    public void setCredentialId(Long credentialId) {
        this.credentialId = credentialId;
    }


    @Override
    public String toString() {
        return "AccessAuthResult{" +
                "id=" + id +
                ", serverAddr='" + serverAddr + '\'' +
                ", port=" + port +
                ", account='" + account + '\'' +
                ", password='" + password + '\'' +
                ", userId=" + userId +
                ", hostId=" + hostId +
                ", credentialId=" + credentialId +
                '}';
    }
}
