package com.cloudbility.openapi.response;

import com.cloudbility.openapi.OpenapiErrorCode;

public class ErrorResponse extends OpenapiResponse {
    private String errorCode;
    private String errorMessage;

    public ErrorResponse(OpenapiErrorCode openapiErrorCode) {
        errorCode = openapiErrorCode.getCode();
        errorMessage = openapiErrorCode.getDescription();
    }

    public ErrorResponse(String errorCode, String errorMessage) {
        this.errorCode = errorCode;
        this.errorMessage = errorMessage;
    }

    public String getErrorCode() {
        return errorCode;
    }

    public void setErrorCode(String errorCode) {
        this.errorCode = errorCode;
    }

    public String getErrorMessage() {
        return errorMessage;
    }

    public void setErrorMessage(String errorMessage) {
        this.errorMessage = errorMessage;
    }
}
