package com.cloudbility.openapi.response;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;

@ApiModel
public class GetTeamQuotaResult extends OpenapiResponse {
    @ApiModelProperty("团队ID")
    private Long teamId;

    @ApiModelProperty("最大成员数")
    private Integer maxMembers;

    @ApiModelProperty("最大云账户数")
    private Integer maxClouds;
    @ApiModelProperty("最大云资源数（包括主机、对象存储、CDN、DB）")
    private Integer maxResources;

    @ApiModelProperty("最大主机数")
    private Integer maxHostResources;
    @ApiModelProperty("最大CDN数")
    private Integer maxCdnResources;
    @ApiModelProperty("最大OSS数")
    private Integer maxOssResources;
    @ApiModelProperty("最大DB数")
    private Integer maxDbResources;


    @ApiModelProperty("网盘容量限额,byte")
    private Long netDiskMaxCapability;

    @ApiModelProperty("上传单个文件尺寸允许最大值,byte")
    private Long netDiskMaxFileSize;

    @ApiModelProperty("最大并发会话数量")
    private Integer maxSessions;

    @ApiModelProperty("最大并发脚本执行数")
    private Integer maxScriptRuns;

    @ApiModelProperty("日志保留天数")
    private Integer logKeepDuration;

    @ApiModelProperty("文件传输冗余文件保留时长")
    private Integer fileKeepDuration;


    @ApiModelProperty("团队成员数")
    private Integer members;

    @ApiModelProperty("团队云账户数")
    private Integer clouds;

    @ApiModelProperty("团队资源数")
    private Integer resources;

    @ApiModelProperty("团队CDN数")
    private Integer cdns;
    @ApiModelProperty("团队Bucket数")
    private Integer buckets;
    @ApiModelProperty("团队DB数")
    private Integer dbs;
    @ApiModelProperty("团队HOST数")
    private Integer hosts;


    public Long getTeamId() {
        return teamId;
    }

    public void setTeamId(Long teamId) {
        this.teamId = teamId;
    }

    public Integer getMaxMembers() {
        return maxMembers;
    }

    public void setMaxMembers(Integer maxMembers) {
        this.maxMembers = maxMembers;
    }

    public Integer getMaxClouds() {
        return maxClouds;
    }

    public void setMaxClouds(Integer maxClouds) {
        this.maxClouds = maxClouds;
    }

    public Integer getMaxResources() {
        return maxResources;
    }

    public void setMaxResources(Integer maxResources) {
        this.maxResources = maxResources;
    }

    public Long getNetDiskMaxCapability() {
        return netDiskMaxCapability;
    }

    public void setNetDiskMaxCapability(Long netDiskMaxCapability) {
        this.netDiskMaxCapability = netDiskMaxCapability;
    }

    public Long getNetDiskMaxFileSize() {
        return netDiskMaxFileSize;
    }

    public void setNetDiskMaxFileSize(Long netDiskMaxFileSize) {
        this.netDiskMaxFileSize = netDiskMaxFileSize;
    }

    public Integer getMaxSessions() {
        return maxSessions;
    }

    public void setMaxSessions(Integer maxSessions) {
        this.maxSessions = maxSessions;
    }

    public Integer getMaxScriptRuns() {
        return maxScriptRuns;
    }

    public void setMaxScriptRuns(Integer maxScriptRuns) {
        this.maxScriptRuns = maxScriptRuns;
    }

    public Integer getLogKeepDuration() {
        return logKeepDuration;
    }

    public void setLogKeepDuration(Integer logKeepDuration) {
        this.logKeepDuration = logKeepDuration;
    }

    public Integer getMembers() {
        return members;
    }

    public void setMembers(Integer members) {
        this.members = members;
    }

    public Integer getClouds() {
        return clouds;
    }

    public void setClouds(Integer clouds) {
        this.clouds = clouds;
    }

    public Integer getResources() {
        return resources;
    }

    public void setResources(Integer resources) {
        this.resources = resources;
    }

    public Integer getMaxHostResources() {
        return maxHostResources;
    }

    public void setMaxHostResources(Integer maxHostResources) {
        this.maxHostResources = maxHostResources;
    }

    public Integer getMaxCdnResources() {
        return maxCdnResources;
    }

    public void setMaxCdnResources(Integer maxCdnResources) {
        this.maxCdnResources = maxCdnResources;
    }

    public Integer getMaxOssResources() {
        return maxOssResources;
    }

    public void setMaxOssResources(Integer maxOssResources) {
        this.maxOssResources = maxOssResources;
    }

    public Integer getMaxDbResources() {
        return maxDbResources;
    }

    public void setMaxDbResources(Integer maxDbResources) {
        this.maxDbResources = maxDbResources;
    }

    public Integer getCdns() {
        return cdns;
    }

    public void setCdns(Integer cdns) {
        this.cdns = cdns;
    }

    public Integer getBuckets() {
        return buckets;
    }

    public void setBuckets(Integer buckets) {
        this.buckets = buckets;
    }

    public Integer getDbs() {
        return dbs;
    }

    public void setDbs(Integer dbs) {
        this.dbs = dbs;
    }

    public Integer getHosts() {
        return hosts;
    }

    public void setHosts(Integer hosts) {
        this.hosts = hosts;
    }

    public Integer getFileKeepDuration() {
        return fileKeepDuration;
    }

    public void setFileKeepDuration(Integer fileKeepDuration) {
        this.fileKeepDuration = fileKeepDuration;
    }
}
