package com.cloudbility.openapi.response;

import com.cloudbility.openapi.vo.AdviceLevel;
import com.cloudbility.openapi.vo.AdviceTarget;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;

@ApiModel
public class OptimizedAdviceItem {

    @ApiModelProperty("优化建议ID")
    private Long optimizedAdviceId;

    @ApiModelProperty("主机ID")
    private Long hostId;

    @ApiModelProperty("优化建议描述")
    private String description;

    @ApiModelProperty("优化级别：升级、降级、维持现有配置")
    private AdviceLevel adviceLevel;

    @ApiModelProperty("建议的目标")
    private AdviceTarget adviceTarget;

    @ApiModelProperty("节省的钱，以人民币计费，为负数时表示升级配置的花费")
    private double saveMoney;

    public Long getOptimizedAdviceId() {
        return optimizedAdviceId;
    }

    public void setOptimizedAdviceId(Long optimizedAdviceId) {
        this.optimizedAdviceId = optimizedAdviceId;
    }

    public Long getHostId() {
        return hostId;
    }

    public void setHostId(Long hostId) {
        this.hostId = hostId;
    }

    public String getDescription() {
        return description;
    }

    public void setDescription(String description) {
        this.description = description;
    }

    public AdviceLevel getAdviceLevel() {
        return adviceLevel;
    }

    public void setAdviceLevel(AdviceLevel adviceLevel) {
        this.adviceLevel = adviceLevel;
    }

    public AdviceTarget getAdviceTarget() {
        return adviceTarget;
    }

    public void setAdviceTarget(AdviceTarget adviceTarget) {
        this.adviceTarget = adviceTarget;
    }

    public double getSaveMoney() {
        return saveMoney;
    }

    public void setSaveMoney(double saveMoney) {
        this.saveMoney = saveMoney;
    }
}
