package com.cloudbility.openapi.response;

public class SessionOpenResult {

    private Boolean success;
    private String errorMsg;//如果失败，失败消息

    private Long sessionId;
    private Integer deskType;
    private String websocketUrl;//用来打开会话的websocket url

    public SessionOpenResult() {
    }

    public static SessionOpenResult fail(String errorMsg) {
        SessionOpenResult result = new SessionOpenResult();
        result.success = false;
        result.errorMsg = errorMsg;
        return result;
    }

    public static SessionOpenResult success(Long sessionId, Integer deskType, String websocketUrl) {
        SessionOpenResult result = new SessionOpenResult();
        result.success = true;
        result.sessionId = sessionId;
        result.deskType = deskType;
        result.websocketUrl = websocketUrl;
        return result;
    }

    public Boolean getSuccess() {
        return success;
    }

    public void setSuccess(Boolean success) {
        this.success = success;
    }

    public String getErrorMsg() {
        return errorMsg;
    }

    public void setErrorMsg(String errorMsg) {
        this.errorMsg = errorMsg;
    }

    public Long getSessionId() {
        return sessionId;
    }

    public void setSessionId(Long sessionId) {
        this.sessionId = sessionId;
    }

    public Integer getDeskType() {
        return deskType;
    }

    public void setDeskType(Integer deskType) {
        this.deskType = deskType;
    }

    public String getWebsocketUrl() {
        return websocketUrl;
    }

    public void setWebsocketUrl(String websocketUrl) {
        this.websocketUrl = websocketUrl;
    }
}
