package com.cloudbility.openapi.response;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import org.zstack.sdk.VmNicInventory;

import java.util.ArrayList;
import java.util.HashMap;
import java.util.List;
import java.util.Map;

@ApiModel
public class ZStackVmNicInfoResult extends OpenapiResponse {

    @ApiModelProperty("zstack虚拟机Uuid")
    private String instanceId;

    @ApiModelProperty("zstack虚拟机默认L3网络Uuid")
    private String defaultL3NetworkId;

    @ApiModelProperty("zstack虚拟机默认L3网络名称")
    private String defaultL3NetworkName;

    @ApiModelProperty("zstack虚拟机L3网络<Uuid, 名称>映射")
    private Map<String, String> l3Networks = new HashMap<>();

    @ApiModelProperty("zstack虚拟机网络详细信息列表")
    private List<VmNicInventory> vmNics = new ArrayList<>();

    public String getInstanceId() {
        return instanceId;
    }

    public void setInstanceId(String instanceId) {
        this.instanceId = instanceId;
    }

    public String getDefaultL3NetworkId() {
        return defaultL3NetworkId;
    }

    public void setDefaultL3NetworkId(String defaultL3NetworkId) {
        this.defaultL3NetworkId = defaultL3NetworkId;
    }

    public String getDefaultL3NetworkName() {
        return defaultL3NetworkName;
    }

    public void setDefaultL3NetworkName(String defaultL3NetworkName) {
        this.defaultL3NetworkName = defaultL3NetworkName;
    }

    public Map<String, String> getL3Networks() {
        return l3Networks;
    }

    public void setL3Networks(Map<String, String> l3Networks) {
        this.l3Networks = l3Networks;
    }

    public List<VmNicInventory> getVmNics() {
        return vmNics;
    }

    public void setVmNics(List<VmNicInventory> vmNics) {
        this.vmNics = vmNics;
    }
}
