package com.cloudbility.openapi.response.hostTemplate;



import com.cloudbility.openapi.common.StringUtil;
import com.cloudbility.openapi.vo.CloudProvider;

import java.io.Serializable;
import java.util.*;

/**
 * @author mask
 */
public class HostTemplateProps implements Serializable {
    private String id;

    private Long teamId;

    private Long resourcePoolId;
    private String resourcePoolName;
    private Long cloudEnvId;

    private Long hostTemplateId;

    private Date createTime = new Date();

    private Map<String, Object> extra;

    //公有云模版属性
    private boolean chargeTypeDone = false;
    private String cloudName;
    private String provider;
    private List<String> chargeTypes;

    private TemplateImageConfig templateImageConfig;

    private List<TemplateVpcConfig> templateVpcConfigs;

    private List<TemplateEcsTypeConfig> templateEcsTypeConfigs = new ArrayList<>();

    private List<TemplateDiskConfig> templateDiskConfigs;


    private boolean bandwidthDone;
    private TemplateBandwidthConfig templateBandwidthConfig;

    public String getId() {
        return id;
    }

    public void setId(String id) {
        this.id = id;
    }

    public Long getTeamId() {
        return teamId;
    }

    public void setTeamId(Long teamId) {
        this.teamId = teamId;
    }

    public Long getResourcePoolId() {
        return resourcePoolId;
    }

    public void setResourcePoolId(Long resourcePoolId) {
        this.resourcePoolId = resourcePoolId;
    }

    public String getResourcePoolName() {
        return resourcePoolName;
    }

    public void setResourcePoolName(String resourcePoolName) {
        this.resourcePoolName = resourcePoolName;
    }

    public Long getCloudEnvId() {
        return cloudEnvId;
    }

    public void setCloudEnvId(Long cloudEnvId) {
        this.cloudEnvId = cloudEnvId;
    }

    public Long getHostTemplateId() {
        return hostTemplateId;
    }

    public void setHostTemplateId(Long hostTemplateId) {
        this.hostTemplateId = hostTemplateId;
    }

    public Date getCreateTime() {
        return createTime;
    }

    public void setCreateTime(Date createTime) {
        this.createTime = createTime;
    }

    public Map<String, Object> getExtra() {
        return extra;
    }

    public void setExtra(Map<String, Object> extra) {
        this.extra = extra;
    }

    public boolean isChargeTypeDone() {
        return chargeTypeDone;
    }

    public void setChargeTypeDone(boolean chargeTypeDone) {
        this.chargeTypeDone = chargeTypeDone;
    }

    public String getCloudName() {
        return cloudName;
    }

    public void setCloudName(String cloudName) {
        this.cloudName = cloudName;
    }

    public String getProvider() {
        return provider;
    }

    public void setProvider(String provider) {
        this.provider = provider;
    }

    public List<String> getChargeTypes() {
        return chargeTypes;
    }

    public void setChargeTypes(List<String> chargeTypes) {
        this.chargeTypes = chargeTypes;
    }

    public TemplateImageConfig getTemplateImageConfig() {
        return templateImageConfig;
    }

    public void setTemplateImageConfig(TemplateImageConfig templateImageConfig) {
        this.templateImageConfig = templateImageConfig;
    }

    public List<TemplateVpcConfig> getTemplateVpcConfigs() {
        return templateVpcConfigs;
    }

    public void setTemplateVpcConfigs(List<TemplateVpcConfig> templateVpcConfigs) {
        this.templateVpcConfigs = templateVpcConfigs;
    }

    public List<TemplateEcsTypeConfig> getTemplateEcsTypeConfigs() {
        return templateEcsTypeConfigs;
    }

    public void setTemplateEcsTypeConfigs(List<TemplateEcsTypeConfig> templateEcsTypeConfigs) {
        this.templateEcsTypeConfigs = templateEcsTypeConfigs;
    }

    public List<TemplateDiskConfig> getTemplateDiskConfigs() {
        return templateDiskConfigs;
    }

    public void setTemplateDiskConfigs(List<TemplateDiskConfig> templateDiskConfigs) {
        this.templateDiskConfigs = templateDiskConfigs;
    }

    public boolean isBandwidthDone() {
        return bandwidthDone;
    }

    public void setBandwidthDone(boolean bandwidthDone) {
        this.bandwidthDone = bandwidthDone;
    }

    public TemplateBandwidthConfig getTemplateBandwidthConfig() {
        return templateBandwidthConfig;
    }

    public void setTemplateBandwidthConfig(TemplateBandwidthConfig templateBandwidthConfig) {
        this.templateBandwidthConfig = templateBandwidthConfig;
    }

    @Override
    public String toString() {
        return "HostTemplateProps{" +
                "id='" + id + '\'' +
                ", teamId=" + teamId +
                ", resourcePoolId=" + resourcePoolId +
                ", resourcePoolName='" + resourcePoolName + '\'' +
                ", cloudEnvId=" + cloudEnvId +
                ", hostTemplateId=" + hostTemplateId +
                ", createTime=" + createTime +
                ", extra=" + extra +
                ", chargeTypeDone=" + chargeTypeDone +
                ", cloudName='" + cloudName + '\'' +
                ", provider='" + provider + '\'' +
                ", chargeTypes=" + chargeTypes +
                ", templateImageConfig=" + templateImageConfig +
                ", templateVpcConfigs=" + templateVpcConfigs +
                ", templateEcsTypeConfigs=" + templateEcsTypeConfigs +
                ", templateDiskConfigs=" + templateDiskConfigs +
                ", bandwidthDone=" + bandwidthDone +
                ", templateBandwidthConfig=" + templateBandwidthConfig +
                '}';
    }
}
