package com.cloudbility.openapi.v2;

import com.cloudbility.openapi.OpenapiException;
import com.cloudbility.openapi.vo.HostCredentialRequestParam;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiOperation;
import io.swagger.annotations.ApiParam;
import org.springframework.web.bind.annotation.DeleteMapping;
import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.RequestBody;
import org.springframework.web.bind.annotation.RequestParam;

@Api(tags = "32 Credential api V2", description = "登录凭证API v2")
public interface CredentialApiV2 extends Openapi{

    @ApiOperation(value = "添加登录凭证")
    @PostMapping(value = "/v2/credential")
    void create(@RequestBody HostCredentialRequestParam hostCredentialRequestParam) throws OpenapiException;

    @ApiOperation(value = "凭证授权方案添加主机凭证")
    @PostMapping(value = "/v2/plan/credential")
    void planAddCredential(@ApiParam("团队ID") @RequestParam("teamId") Long teamId,
                        @ApiParam("凭证授权方案ID") @RequestParam("planId") Long planId,
                        @ApiParam("主机凭证ID列表，半角逗号分隔") @RequestParam("credentialIds") String credentialIds) throws OpenapiException;

    @ApiOperation(value = "凭证授权方案删除主机凭证")
    @DeleteMapping(value = "/v2/plan/credential")
    void planDeleteCredential(@ApiParam("团队ID") @RequestParam("teamId") Long teamId,
                              @ApiParam("凭证授权方案ID") @RequestParam("planId") Long planId,
                              @ApiParam("主机凭证ID列表，半角逗号分隔") @RequestParam("credentialIds") String credentialIds) throws OpenapiException;

}
