package com.cloudbility.openapi.v2;

import com.cloudbility.openapi.OpenapiException;
import com.cloudbility.openapi.bind.Permissions;
import com.cloudbility.openapi.vo.JobInfoVo;
import com.cloudbility.openapi.vo.Permission;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiOperation;
import io.swagger.annotations.ApiParam;
import org.springframework.web.bind.annotation.PathVariable;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RequestMethod;
import org.springframework.web.bind.annotation.RequestParam;

@Api(tags = "Job api", description = "异步任务API")
public interface JobApi extends Openapi {

    @ApiOperation(value = "获取任务详情", response = JobInfoVo.class)
    @RequestMapping(value = "/job/{id}", method = RequestMethod.GET)
    @Permissions(Permission.HostAccess)
    JobInfoVo getJobInfo(@ApiParam(value = "任务id", required = true) @PathVariable("id") long id,
                         @ApiParam(value = "是否包含扩展属性") @RequestParam(value = "includeMeta", required = false, defaultValue = "false") boolean includeMeta) throws OpenapiException;
}
