package com.cloudbility.openapi.v2;

import com.cloudbility.openapi.OpenapiException;
import com.cloudbility.openapi.response.OpenapiResponse;
import com.cloudbility.openapi.vo.MessageSendTemplate;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiOperation;
import io.swagger.annotations.ApiParam;
import org.springframework.http.ResponseEntity;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RequestMethod;
import org.springframework.web.bind.annotation.RequestParam;
import org.springframework.web.multipart.MultipartFile;

/**
 * Created by lidonghao on 2020/8/6.
 */
@Api(tags = "25 message api", description = "发送消息API")
public interface MessageApi extends Openapi {

    @ApiOperation(value = "发送短信消息")
    @RequestMapping(value = "/message/sms", method = RequestMethod.POST)
    void sendSmsMessage(
            @ApiParam(value = "团队ID", required = true) @RequestParam("teamId") Long teamId,
            @ApiParam(value = "短信模板", required = true) @RequestParam("template") MessageSendTemplate template,
            @ApiParam(value = "短信模板参数", required = false) @RequestParam(value = "values", required = false) String values) throws OpenapiException;


    @ApiOperation(value = "发送邮件消息")
    @RequestMapping(value = "/message/mail", method = RequestMethod.POST)
    void sendMailMessage(
            @ApiParam(value = "团队ID", required = true) @RequestParam("teamId") Long teamId,
            @ApiParam(value = "邮件模板", required = true) @RequestParam("template") MessageSendTemplate template,
            @ApiParam(value = "邮件模板参数", required = false) @RequestParam(value = "values", required = false) String values,
            @ApiParam(value = "邮件主题", required = false) @RequestParam(value = "subject", required = false) String subject,
            @ApiParam(value = "邮件附件", required = false) @RequestParam(value = "attachment", required = false) MultipartFile attachment) throws OpenapiException;


}
