package com.cloudbility.openapi.v2;

import com.cloudbility.openapi.OpenapiException;
import com.cloudbility.openapi.response.HealthCheckResult;
import com.cloudbility.openapi.vo.healthCheck.HealthCheckItemType;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiOperation;
import io.swagger.annotations.ApiParam;
import org.springframework.web.bind.annotation.PathVariable;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RequestMethod;
import org.springframework.web.bind.annotation.RequestParam;

@Api(tags = "31 SecurityCenter api", description = "安全中心API")
public interface SecurityCenterApi extends Openapi {


    @ApiOperation(value = "主机安全体检信息查询", response = HealthCheckResult.class)
    @RequestMapping(value = "/hostHealthCheckInfo/{teamId}/{hostId}", method = RequestMethod.POST)
    HealthCheckResult hostHealthCheckInfo(
            @ApiParam(value = "团队ID", required = true) @PathVariable("teamId") Long teamId,
            @ApiParam(value = "主机ID", required = true) @PathVariable("hostId") Long hostId,
            @ApiParam(value = "体检项") @RequestParam(value = "itemType", required = false) HealthCheckItemType healthCheckItemType
    ) throws OpenapiException;

}
