package com.cloudbility.openapi.v2;

import com.cloudbility.openapi.response.BooleanResult;
import io.swagger.annotations.*;
import org.springframework.web.bind.annotation.GetMapping;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RequestMethod;
import org.springframework.web.bind.annotation.RequestParam;

@Api(tags = "test API", description = "测试API")
public interface TestApi extends Openapi {
    @RequestMapping(value = "/test", method = RequestMethod.POST)
    @ApiOperation(value = "测试OpenAPI", response = BooleanResult.class, notes = "这里是方法注释")
    @ApiResponses(value = {@ApiResponse(code = 400, message = "参数p1非法")})
    BooleanResult test(@ApiParam(value = "参数介绍") @RequestParam(value = "p1", required = false) String p1);

    @GetMapping("/testParaArray")
    int testParaArray(@ApiParam("ints") Integer[] ints);
}
