package com.cloudbility.openapi.vo;

import com.cloudbility.openapi.response.OpenapiResponse;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;

import java.util.Date;

@ApiModel
public class CasAppVo extends OpenapiResponse {
    @ApiModelProperty("应用ID")
    private Long id;

    @ApiModelProperty("应用名称")
    private String name;

    @ApiModelProperty("服务ID的匹配规则，默认是Identical，即完全相同")
    private CasServiceTypeVo serviceType;

    @ApiModelProperty("服务ID，全局唯一")
    private String serviceId;

    @ApiModelProperty("应用所属团队，为null时是全局应用")
    private Long teamId;

    @ApiModelProperty("SLO单点登出方式，默认是back")
    private CasLogoutTypeVo logoutType;

    @ApiModelProperty("logoutType=back时调用的注销URL")
    private String logoutUrl;

    @ApiModelProperty("匹配服务ID的顺序")
    private Integer evaluationOrder;

    @ApiModelProperty("创建时间")
    private Date createTime;

    @ApiModelProperty("产品所属模块")
    private String module;

    @ApiModelProperty("注销CasServer强制注销SSO会话")
    private boolean forceLogout;

    public Long getId() {
        return id;
    }

    public void setId(Long id) {
        this.id = id;
    }

    public String getName() {
        return name;
    }

    public void setName(String name) {
        this.name = name;
    }

    public CasServiceTypeVo getServiceType() {
        return serviceType;
    }

    public void setServiceType(CasServiceTypeVo serviceType) {
        this.serviceType = serviceType;
    }

    public String getServiceId() {
        return serviceId;
    }

    public void setServiceId(String serviceId) {
        this.serviceId = serviceId;
    }

    public Long getTeamId() {
        return teamId;
    }

    public void setTeamId(Long teamId) {
        this.teamId = teamId;
    }

    public CasLogoutTypeVo getLogoutType() {
        return logoutType;
    }

    public void setLogoutType(CasLogoutTypeVo logoutType) {
        this.logoutType = logoutType;
    }

    public String getLogoutUrl() {
        return logoutUrl;
    }

    public void setLogoutUrl(String logoutUrl) {
        this.logoutUrl = logoutUrl;
    }

    public Integer getEvaluationOrder() {
        return evaluationOrder;
    }

    public void setEvaluationOrder(Integer evaluationOrder) {
        this.evaluationOrder = evaluationOrder;
    }

    public Date getCreateTime() {
        return createTime;
    }

    public void setCreateTime(Date createTime) {
        this.createTime = createTime;
    }

    public String getModule() {
        return module;
    }

    public void setModule(String module) {
        this.module = module;
    }

    public boolean isForceLogout() {
        return forceLogout;
    }

    public void setForceLogout(boolean forceLogout) {
        this.forceLogout = forceLogout;
    }
}
