package com.cloudbility.openapi.vo;

import com.cloudbility.openapi.response.JobOpenapiResponse;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;

import java.util.ArrayList;
import java.util.Date;
import java.util.List;

@ApiModel
public class CloudHostVo extends JobOpenapiResponse{
    private Long hostId;
    @ApiModelProperty(value = "区域ID")
    private String regionId;
    @ApiModelProperty(value = "可用区ID")
    private String zoneId;
    private String instanceId;
    @ApiModelProperty(value = "主机名称")
    private String instanceName;
    private String hostName;
    private String platform;
    private String publicIp;
    private String innerIp;
    @ApiModelProperty(value = "主机状态")
    private String status;
    private String operatingSystem;
    private Long teamId;
    private Integer processorCores;
    private Integer memory;
    private Date importTime;
    @ApiModelProperty(value = "实例过期时间")
    private Date expiredTime;
    @ApiModelProperty(value = "主机所在组ID")
    private Long groupId;

    @ApiModelProperty(value = "云账户ID")
    private Long cloudId;
    @ApiModelProperty("云账户来源，门户：Portal|管理控制台：Console")
    private Scope scope = Scope.Portal;
    @ApiModelProperty(value = "是否安装了Agent")
    private boolean installedAgent;
    @ApiModelProperty(value = "Agent的状态:STOPPED,READY")
    private String agentStatus;//STOPPED and READY
    @ApiModelProperty(value = "主机描述")
    private String description;
    @ApiModelProperty(value = "MAC地址")
    private String macAddr;
    @ApiModelProperty(value = "系统盘")
    private SystemDiskVo systemDisk;
    @ApiModelProperty(value = "数据盘")
    private List<DataDiskVo> dataDisks = new ArrayList<>();

    @ApiModelProperty(value = "主机能够访问的Proxy所在主机的ID")
    private Long proxyHostId;
    @ApiModelProperty(value = "主机能够访问的Proxy所在主机的实例名称")
    private String proxyInstanceName;
    @ApiModelProperty(value = "主机能够访问的Proxy所在主机的是否已安装Agent")
    private boolean proxyInstalledAgent;
    @ApiModelProperty(value = "主机能够访问的Proxy公网IP")
    private String proxyPublicIp;
    @ApiModelProperty(value = "主机能够访问的Proxy内网IP")
    private String proxyInnerIp;
    @ApiModelProperty(value = "云厂商")
    private String provider;
    @ApiModelProperty(value = "云账号名称")
    private String cloudName;


    public Long getHostId() {
        return hostId;
    }

    public void setHostId(Long hostId) {
        this.hostId = hostId;
    }

    public String getInstanceId() {
        return instanceId;
    }

    public void setInstanceId(String instanceId) {
        this.instanceId = instanceId;
    }

    public String getInstanceName() {
        return instanceName;
    }

    public void setInstanceName(String instanceName) {
        this.instanceName = instanceName;
    }

    public String getHostName() {
        return hostName;
    }

    public void setHostName(String hostName) {
        this.hostName = hostName;
    }

    public String getPlatform() {
        return platform;
    }

    public void setPlatform(String platform) {
        this.platform = platform;
    }

    public String getPublicIp() {
        return publicIp;
    }

    public void setPublicIp(String publicIp) {
        this.publicIp = publicIp;
    }

    public String getInnerIp() {
        return innerIp;
    }

    public void setInnerIp(String innerIp) {
        this.innerIp = innerIp;
    }

    public String getStatus() {
        return status;
    }

    public void setStatus(String status) {
        this.status = status;
    }

    public String getOperatingSystem() {
        return operatingSystem;
    }

    public void setOperatingSystem(String operatingSystem) {
        this.operatingSystem = operatingSystem;
    }

    public Long getTeamId() {
        return teamId;
    }

    public void setTeamId(Long teamId) {
        this.teamId = teamId;
    }

    public Integer getProcessorCores() {
        return processorCores;
    }

    public void setProcessorCores(Integer processorCores) {
        this.processorCores = processorCores;
    }

    public Integer getMemory() {
        return memory;
    }

    public void setMemory(Integer memory) {
        this.memory = memory;
    }

    public Date getImportTime() {
        return importTime;
    }

    public void setImportTime(Date importTime) {
        this.importTime = importTime;
    }

    public Long getGroupId() {
        return groupId;
    }

    public void setGroupId(Long groupId) {
        this.groupId = groupId;
    }

    public Long getCloudId() {
        return cloudId;
    }

    public void setCloudId(Long cloudId) {
        this.cloudId = cloudId;
    }

    public boolean isInstalledAgent() {
        return installedAgent;
    }

    public void setInstalledAgent(boolean installedAgent) {
        this.installedAgent = installedAgent;
    }

    public String getAgentStatus() {
        return agentStatus;
    }

    public void setAgentStatus(String agentStatus) {
        this.agentStatus = agentStatus;
    }

    public String getDescription() {
        return description;
    }

    public void setDescription(String description) {
        this.description = description;
    }

    public String getMacAddr() {
        return macAddr;
    }

    public void setMacAddr(String macAddr) {
        this.macAddr = macAddr;
    }

    public SystemDiskVo getSystemDisk() {
        return systemDisk;
    }

    public void setSystemDisk(SystemDiskVo systemDisk) {
        this.systemDisk = systemDisk;
    }

    public List<DataDiskVo> getDataDisks() {
        return dataDisks;
    }

    public void setDataDisks(List<DataDiskVo> dataDisks) {
        this.dataDisks = dataDisks;
    }

    public Scope getScope() {
        return scope;
    }

    public void setScope(Scope scope) {
        this.scope = scope;
    }

    public String getRegionId() {
        return regionId;
    }

    public void setRegionId(String regionId) {
        this.regionId = regionId;
    }

    public Long getProxyHostId() {
        return proxyHostId;
    }

    public void setProxyHostId(Long proxyHostId) {
        this.proxyHostId = proxyHostId;
    }

    public String getProxyInstanceName() {
        return proxyInstanceName;
    }

    public void setProxyInstanceName(String proxyInstanceName) {
        this.proxyInstanceName = proxyInstanceName;
    }

    public boolean isProxyInstalledAgent() {
        return proxyInstalledAgent;
    }

    public void setProxyInstalledAgent(boolean proxyInstalledAgent) {
        this.proxyInstalledAgent = proxyInstalledAgent;
    }

    public String getProxyPublicIp() {
        return proxyPublicIp;
    }

    public void setProxyPublicIp(String proxyPublicIp) {
        this.proxyPublicIp = proxyPublicIp;
    }

    public String getProxyInnerIp() {
        return proxyInnerIp;
    }

    public void setProxyInnerIp(String proxyInnerIp) {
        this.proxyInnerIp = proxyInnerIp;
    }

    public String getProvider() {
        return provider;
    }

    public void setProvider(String provider) {
        this.provider = provider;
    }

    public String getCloudName() {
        return cloudName;
    }

    public void setCloudName(String cloudName) {
        this.cloudName = cloudName;
    }

    public String getZoneId() {
        return zoneId;
    }

    public void setZoneId(String zoneId) {
        this.zoneId = zoneId;
    }

    public Date getExpiredTime() {
        return expiredTime;
    }

    public void setExpiredTime(Date expiredTime) {
        this.expiredTime = expiredTime;
    }
}
