package com.cloudbility.openapi.vo;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;

import java.util.List;
import java.util.Map;

@ApiModel("创建主机凭证请求参数")
public class HostCredentialRequestParam {

    @ApiModelProperty(value = "团队ID", required = true)
    private Long teamId;
    @ApiModelProperty(value = "凭证名称,团队唯一")
    private String name;
    @ApiModelProperty(value = "主机ID列表", required = true)
    private List<Long> hostIds;
    @ApiModelProperty(value = "凭证类型", required = true)
    private AuthType authType;
    @ApiModelProperty(value = "协议类型", required = true)
    private DesktopType desktopType;
    @ApiModelProperty(value = "登录账号")
    private String authUser;
    @ApiModelProperty(value = "是否是特权账号", required = true)
    private Boolean isAdminUser;
    @ApiModelProperty(value = "切换用户名")
    private String sudoUser;
    @ApiModelProperty(value = "切换用户使用的命令")
    private String sudoCommand;
    @ApiModelProperty(value = "切换用户的密码")
    private String sudoPassword;
    @ApiModelProperty(value = "登录密钥对ID，可选。当authType=KEY_FILE可以设置。与参数password和key不要同时设置")
    private Long teamKeyPairId;
    @ApiModelProperty(value = "登录密钥，可选。当authType=KEY_FILE可以设置。与参数password不要同时设置")
    private String authPrivateKey;
    @ApiModelProperty(value = "登录密码，可选。当authType=PASSWORD可以设置。与参数key不要同时设置")
    private String authPassword;
    @ApiModelProperty(value = "SSH协议字符编码，建议值：utf8", required = true)
    private String sshCharset;
    @ApiModelProperty(value = "访问端口", required = true)
    private Integer port;
    @ApiModelProperty(value = "是否保存文件密码，当authType=KEY_FILE时必填")
    private Boolean isSaveFilePass;
    @ApiModelProperty(value = "文件密码")
    private String filePass;
    @ApiModelProperty(value = "是否开启SSL加密")
    private Boolean sslEncryptEnable;
    @ApiModelProperty(value = "是否使用telnet参数", required = true)
    private Boolean useTelnetParameter;
    @ApiModelProperty("telnet参数")
    private List<Map<String, Object>> telnetParameter;
    @ApiModelProperty("授权给的角色ID列表")
    private List<Long> roleIds;
    @ApiModelProperty("授权给的用户ID列表")
    private List<Long> userIds;
    @ApiModelProperty("命令行参数")
    private List<Map<String, Object>> commandLines;
    @ApiModelProperty("SSH保活方式，可选：keepalive,noop,none,{自定义的字符串}")
    private String sshKeepaliveMethod;


    public Long getTeamId() {
        return teamId;
    }

    public HostCredentialRequestParam setTeamId(Long teamId) {
        this.teamId = teamId;
        return this;
    }

    public String getName() {
        return name;
    }

    public HostCredentialRequestParam setName(String name) {
        this.name = name;
        return this;
    }

    public List<Long> getHostIds() {
        return hostIds;
    }

    public HostCredentialRequestParam setHostIds(List<Long> hostIds) {
        this.hostIds = hostIds;
        return this;
    }

    public AuthType getAuthType() {
        return authType;
    }

    public HostCredentialRequestParam setAuthType(AuthType authType) {
        this.authType = authType;
        return this;
    }

    public DesktopType getDesktopType() {
        return desktopType;
    }

    public HostCredentialRequestParam setDesktopType(DesktopType desktopType) {
        this.desktopType = desktopType;
        return this;
    }

    public String getAuthUser() {
        return authUser;
    }

    public HostCredentialRequestParam setAuthUser(String authUser) {
        this.authUser = authUser;
        return this;
    }

    public Boolean getIsAdminUser() {
        return this.isAdminUser;
    }

    public HostCredentialRequestParam setIsAdminUser(Boolean adminUser) {
        this.isAdminUser = adminUser;
        return this;
    }

    public String getSudoUser() {
        return sudoUser;
    }

    public HostCredentialRequestParam setSudoUser(String sudoUser) {
        this.sudoUser = sudoUser;
        return this;
    }

    public String getSudoCommand() {
        return sudoCommand;
    }

    public HostCredentialRequestParam setSudoCommand(String sudoCommand) {
        this.sudoCommand = sudoCommand;
        return this;
    }

    public String getSudoPassword() {
        return sudoPassword;
    }

    public HostCredentialRequestParam setSudoPassword(String sudoPassword) {
        this.sudoPassword = sudoPassword;
        return this;
    }

    public Long getTeamKeyPairId() {
        return teamKeyPairId;
    }

    public HostCredentialRequestParam setTeamKeyPairId(Long teamKeyPairId) {
        this.teamKeyPairId = teamKeyPairId;
        return this;
    }

    public String getAuthPrivateKey() {
        return authPrivateKey;
    }

    public HostCredentialRequestParam setAuthPrivateKey(String authPrivateKey) {
        this.authPrivateKey = authPrivateKey;
        return this;
    }

    public String getAuthPassword() {
        return authPassword;
    }

    public HostCredentialRequestParam setAuthPassword(String authPassword) {
        this.authPassword = authPassword;
        return this;
    }

    public String getSshCharset() {
        return sshCharset;
    }

    public HostCredentialRequestParam setSshCharset(String sshCharset) {
        this.sshCharset = sshCharset;
        return this;
    }

    public Integer getPort() {
        return port;
    }

    public HostCredentialRequestParam setPort(Integer port) {
        this.port = port;
        return this;
    }

    public Boolean getIsSaveFilePass() {
        return this.isSaveFilePass;
    }

    public HostCredentialRequestParam setIsSaveFilePass(Boolean saveFilePass) {
        this.isSaveFilePass = saveFilePass;
        return this;
    }

    public String getFilePass() {
        return filePass;
    }

    public HostCredentialRequestParam setFilePass(String filePass) {
        this.filePass = filePass;
        return this;
    }

    public Boolean getSslEncryptEnable() {
        return sslEncryptEnable;
    }

    public HostCredentialRequestParam setSslEncryptEnable(Boolean sslEncryptEnable) {
        this.sslEncryptEnable = sslEncryptEnable;
        return this;
    }

    public Boolean getUseTelnetParameter() {
        return this.useTelnetParameter;
    }

    public HostCredentialRequestParam setUseTelnetParameter(Boolean useTelnetParameter) {
        this.useTelnetParameter = useTelnetParameter;
        return this;
    }

    public List<Map<String, Object>> getTelnetParameter() {
        return telnetParameter;
    }

    public HostCredentialRequestParam setTelnetParameter(List<Map<String, Object>> telnetParameter) {
        this.telnetParameter = telnetParameter;
        return this;
    }

    public List<Long> getRoleIds() {
        return roleIds;
    }

    public HostCredentialRequestParam setRoleIds(List<Long> roleIds) {
        this.roleIds = roleIds;
        return this;
    }

    public List<Long> getUserIds() {
        return userIds;
    }

    public HostCredentialRequestParam setUserIds(List<Long> userIds) {
        this.userIds = userIds;
        return this;
    }

    public List<Map<String, Object>> getCommandLines() {
        return commandLines;
    }

    public HostCredentialRequestParam setCommandLines(List<Map<String, Object>> commandLines) {
        this.commandLines = commandLines;
        return this;
    }

    public String getSshKeepaliveMethod() {
        return sshKeepaliveMethod;
    }

    public HostCredentialRequestParam setSshKeepaliveMethod(String sshKeepaliveMethod) {
        this.sshKeepaliveMethod = sshKeepaliveMethod;
        return this;
    }
}
