package com.cloudbility.openapi.vo;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;

import java.util.Date;
import java.util.Map;

@ApiModel
public class HostLog {
    private String id;

    @ApiModelProperty(value = "所属团队")
    private Long teamId;

    @ApiModelProperty(value = "操作者ID")
    private Long actorId;

    @ApiModelProperty(value = "操作者昵称")
    private String actorName;

    @ApiModelProperty(value = "主机是否已经删除")
    private boolean hostDeleted;

    @ApiModelProperty(value = "操作时间")
    private Date createTime;

    @ApiModelProperty(value = "操作者IP")
    private String accessIp;

    @ApiModelProperty(value = "操作者浏览器UserAgent")
    private String accessUserAgent;

    @ApiModelProperty(value = "目标主机ID")
    private Long hostId;

    @ApiModelProperty(value = "目标主机所在的组")
    private Long hostGroupId;

    @ApiModelProperty(value = "目标主机名称")
    private String hostName;

    @ApiModelProperty(value = "目标主机平台")
    private String hostPlatform;

    @ApiModelProperty(value = "目标主机实例ID")
    private String hostInstanceId;


    @ApiModelProperty(value = "目标主机内网IP")
    private String hostInnerIp;


    @ApiModelProperty(value = "目标主机公网IP")
    private String hostPublicIp;

    @ApiModelProperty(value = "目标主机所属云账户")
    private Long cloudId;

    @ApiModelProperty(value = "目标主机所属云账户名称")
    private String cloudName;

    @ApiModelProperty(value = "云主机分类")
    private String cloudProvider;

    @ApiModelProperty(value = "操作类型")
    private HostActionType action;

    @ApiModelProperty(value = "操作者的位置")
    private String actionSource;

    @ApiModelProperty(value = "操作的结果")
    private LogStatus status;

    @ApiModelProperty(value = "会话日志额外信息")
    private Map<String, Object> extraInfo;

    public String getId() {
        return id;
    }

    public void setId(String id) {
        this.id = id;
    }

    public Long getTeamId() {
        return teamId;
    }

    public void setTeamId(Long teamId) {
        this.teamId = teamId;
    }

    public Long getActorId() {
        return actorId;
    }

    public void setActorId(Long actorId) {
        this.actorId = actorId;
    }

    public Date getCreateTime() {
        return createTime;
    }

    public void setCreateTime(Date createTime) {
        this.createTime = createTime;
    }

    public String getAccessIp() {
        return accessIp;
    }

    public void setAccessIp(String accessIp) {
        this.accessIp = accessIp;
    }

    public String getAccessUserAgent() {
        return accessUserAgent;
    }

    public void setAccessUserAgent(String accessUserAgent) {
        this.accessUserAgent = accessUserAgent;
    }

    public Long getHostId() {
        return hostId;
    }

    public void setHostId(Long hostId) {
        this.hostId = hostId;
    }

    public Long getHostGroupId() {
        return hostGroupId;
    }

    public void setHostGroupId(Long hostGroupId) {
        this.hostGroupId = hostGroupId;
    }

    public String getHostName() {
        return hostName;
    }

    public void setHostName(String hostName) {
        this.hostName = hostName;
    }

    public String getHostPlatform() {
        return hostPlatform;
    }

    public void setHostPlatform(String hostPlatform) {
        this.hostPlatform = hostPlatform;
    }

    public String getHostInstanceId() {
        return hostInstanceId;
    }

    public void setHostInstanceId(String hostInstanceId) {
        this.hostInstanceId = hostInstanceId;
    }

    public String getHostInnerIp() {
        return hostInnerIp;
    }

    public void setHostInnerIp(String hostInnerIp) {
        this.hostInnerIp = hostInnerIp;
    }

    public String getHostPublicIp() {
        return hostPublicIp;
    }

    public void setHostPublicIp(String hostPublicIp) {
        this.hostPublicIp = hostPublicIp;
    }

    public Long getCloudId() {
        return cloudId;
    }

    public void setCloudId(Long cloudId) {
        this.cloudId = cloudId;
    }

    public String getCloudName() {
        return cloudName;
    }

    public void setCloudName(String cloudName) {
        this.cloudName = cloudName;
    }

    public String getCloudProvider() {
        return cloudProvider;
    }

    public void setCloudProvider(String cloudProvider) {
        this.cloudProvider = cloudProvider;
    }

    public HostActionType getAction() {
        return action;
    }

    public void setAction(HostActionType action) {
        this.action = action;
    }

    public String getActionSource() {
        return actionSource;
    }

    public void setActionSource(String actionSource) {
        this.actionSource = actionSource;
    }

    public LogStatus getStatus() {
        return status;
    }

    public void setStatus(LogStatus status) {
        this.status = status;
    }

    public Map<String, Object> getExtraInfo() {
        return extraInfo;
    }

    public void setExtraInfo(Map<String, Object> extraInfo) {
        this.extraInfo = extraInfo;
    }

    public String getActorName() {
        return actorName;
    }

    public void setActorName(String actorName) {
        this.actorName = actorName;
    }

    public boolean isHostDeleted() {
        return hostDeleted;
    }

    public void setHostDeleted(boolean hostDeleted) {
        this.hostDeleted = hostDeleted;
    }
}
