package com.cloudbility.openapi.vo;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;

import java.util.List;

@ApiModel
public class ImportHostVo {
    /**
     * 必须：内网ip
     */
    @ApiModelProperty(required = true, value = "内网地址")
    private String innerIp;

    /**
     * 公网ip，非必须
     */
    @ApiModelProperty(value = "公网地址")
    private String publicIp;

    @ApiModelProperty(value = "厂商提供的ID，在云账户中唯一，不设置时系统自动生成")
    private String instanceId;


    /**
     * 主机名称
     */
    @ApiModelProperty(required = true, value = "主机名称")
    private String name;

    /**
     * 操作系统名称
     */
    @ApiModelProperty(required = true, value = "操作系统")
    private String operatingSystem;

    /**
     * CPU核数
     */
    @ApiModelProperty(value = "CPU核数")
    private int processor;

    /**
     * 内存，MB
     */
    @ApiModelProperty(value = "内存，单位MB")
    private int memory;

    /**
     * 取值
     * Pending,//准备中
     * Stopped,//已停止
     * Starting,//	启动中
     * Running,//运行中
     * Stopping,//停止中
     * Deleted,// 已释放
     * Expired,//已过期
     * Unknown,//未知
     */
    @ApiModelProperty(value = "状态,可取值Stopped,Running,Unknown,Expired,Pending,Starting等，后面3种主要来自云主机")
    private String status;

    @ApiModelProperty(value = "描述信息")
    private String description;

    @ApiModelProperty(value = "可选。主机默认加入的虚拟分组。会与ImportHostRequest.vgIds合并生效")
    private List<Long> defaultVgIds;


    public String getInnerIp() {
        return innerIp;
    }

    public void setInnerIp(String innerIp) {
        this.innerIp = innerIp;
    }

    public String getName() {
        return name;
    }

    public void setName(String name) {
        this.name = name;
    }

    public String getOperatingSystem() {
        return operatingSystem;
    }

    public void setOperatingSystem(String operatingSystem) {
        this.operatingSystem = operatingSystem;
    }

    public int getProcessor() {
        return processor;
    }

    public void setProcessor(int processor) {
        this.processor = processor;
    }

    public int getMemory() {
        return memory;
    }

    public void setMemory(int memory) {
        this.memory = memory;
    }

    public String getPublicIp() {
        return publicIp;
    }

    public void setPublicIp(String publicIp) {
        this.publicIp = publicIp;
    }

    public String getInstanceId() {
        return instanceId;
    }

    public void setInstanceId(String instanceId) {
        this.instanceId = instanceId;
    }

    public String getStatus() {
        return status;
    }

    public void setStatus(String status) {
        this.status = status;
    }

    public String getDescription() {
        return description;
    }

    public void setDescription(String description) {
        this.description = description;
    }

    public List<Long> getDefaultVgIds() {
        return defaultVgIds;
    }

    public void setDefaultVgIds(List<Long> defaultVgIds) {
        this.defaultVgIds = defaultVgIds;
    }
}
