package com.cloudbility.openapi.vo;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;

import java.util.Collection;
import java.util.HashSet;

@ApiModel
public class ImportTeamVo {
    /**
     * 团队名称，必须要
     */
    @ApiModelProperty(required = true, value = "团队名称，必填。")
    private String name;

    @ApiModelProperty(required = false, value = "团队code，可选。只能是数字、字母、下划线，即满足正则：[A-Za-z0-9_]。保证全局唯一，不设置时由系统自动生成，是访问团队资源的URL context path。注意：code字段不能设置为保留字。4.10新增属性。")
    private String code;

    /**
     * 必须要：创建者vendor id
     */
    @ApiModelProperty(value = "创建者用户ID，与creatorAccount必填其中一个。必须是当前ISV有权限操作的用户，私有部署环境可以是任何用户。")
    private Long creator;

    @ApiModelProperty(value = "创建者用户账号，与creator必填其中一个。必须是当前ISV有权限操作的用户，私有部署环境可以是任何用户。如果设置了creatorAccount，会忽略creator。4.10新增参数。")
    private String creatorAccount;

    @ApiModelProperty(value = "设置团队的成员数配额，可选。默认值：SAAS环境是ISV用户配额；私有部署环境是License的用户配额。注意不能超过配额。需要控制团队成员规模时，通过这个参数指定。")
    private Integer memberQuota;

    /**
     * 非必须：成员的id
     */
    @ApiModelProperty(value = "默认添加的团队成员列表，可选。必须是ISV有权限操作的用户，私有部署环境可以是任何用户。")
    private Collection<Long> members = new HashSet<>();

    @ApiModelProperty(value = "默认添加的团队成员账号列表，可选。必须是ISV有权限操作的用户，私有部署环境可以是任何用户。与members不要同时设置，如果memberAccounts非空，会忽略members。4。10新增属性。")
    private Collection<String> memberAccounts = new HashSet<>();

    public String getCreatorAccount() {
        return creatorAccount;
    }

    public void setCreatorAccount(String creatorAccount) {
        this.creatorAccount = creatorAccount;
    }

    public String getName() {
        return name;
    }

    public void setName(String name) {
        this.name = name;
    }

    public Long getCreator() {
        return creator;
    }

    public void setCreator(Long creator) {
        this.creator = creator;
    }

    public Collection<Long> getMembers() {
        return members;
    }

    public void setMembers(Collection<Long> members) {
        this.members = members;
    }

    public String getCode() {
        return code;
    }

    public void setCode(String code) {
        this.code = code;
    }

    public Collection<String> getMemberAccounts() {
        return memberAccounts;
    }

    public void setMemberAccounts(Collection<String> memberAccounts) {
        this.memberAccounts = memberAccounts;
    }

    public Integer getMemberQuota() {
        return memberQuota;
    }

    public void setMemberQuota(Integer memberQuota) {
        this.memberQuota = memberQuota;
    }
}
