package com.cloudbility.openapi.vo;

public enum IntervalUnit {
    month,
    week,
    day,
    hour,
    minute,
    second,
    ;

    public static IntervalUnit byName(String unit) {
        for (IntervalUnit u : values()) {
            if (u.name().equalsIgnoreCase(unit)) {
                return u;
            }
        }
        return null;
    }

    public long toSeconds(int interval) {
        return toSeconds(interval, this);
    }

    public static long toSeconds(int interval, IntervalUnit unit) {
        switch (unit) {
            case second:
                return interval;
            case minute:
                return interval * 60;
            case hour:
                return interval * 60L * 60;
            case day:
                return interval * 60L * 60 * 24;
            case week:
                return interval * 60L * 60 * 24 * 7;
            case month:
                return interval * 60L * 60 * 24 * 30;

        }
        return interval;
    }

}
