package com.cloudbility.openapi.vo;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;

import java.util.Date;
import java.util.HashMap;
import java.util.Map;

@ApiModel
public class JobInfoVo extends JobVo {

    @ApiModelProperty("任务类型")
    private JobType type;

    @ApiModelProperty("任务关联的目标ID，可能为null")
    private Long targetId;

    @ApiModelProperty("任务状态")
    private JobStatus status;

    @ApiModelProperty("创建时间")
    private Date createTime;

    @ApiModelProperty("启动时间")
    private Date startTime;

    @ApiModelProperty("结束时间")
    private Date finishTime;

    @ApiModelProperty("任务描述")
    private String description;

    @ApiModelProperty("任务总量，如果为0表示当前任务不支持进度")
    private long total;

    @ApiModelProperty("任务完成量")
    private long completed;

    @ApiModelProperty("所属团队ID")
    private Long teamId;

    @ApiModelProperty("任务扩展属性")
    private Map<String, Object> meta = new HashMap<>();

    public JobType getType() {
        return type;
    }

    public void setType(JobType type) {
        this.type = type;
    }

    public JobStatus getStatus() {
        return status;
    }

    public void setStatus(JobStatus status) {
        this.status = status;
    }

    public Date getCreateTime() {
        return createTime;
    }

    public void setCreateTime(Date createTime) {
        this.createTime = createTime;
    }

    public Date getStartTime() {
        return startTime;
    }

    public void setStartTime(Date startTime) {
        this.startTime = startTime;
    }

    public Date getFinishTime() {
        return finishTime;
    }

    public void setFinishTime(Date finishTime) {
        this.finishTime = finishTime;
    }

    public String getDescription() {
        return description;
    }

    public void setDescription(String description) {
        this.description = description;
    }

    public long getTotal() {
        return total;
    }

    public void setTotal(long total) {
        this.total = total;
    }

    public long getCompleted() {
        return completed;
    }

    public void setCompleted(long completed) {
        this.completed = completed;
    }

    public Long getTeamId() {
        return teamId;
    }

    public void setTeamId(Long teamId) {
        this.teamId = teamId;
    }

    public Long getTargetId() {
        return targetId;
    }

    public void setTargetId(Long targetId) {
        this.targetId = targetId;
    }

    public Map<String, Object> getMeta() {
        return meta;
    }

    public void setMeta(Map<String, Object> meta) {
        this.meta = meta;
    }

    public boolean isDone(){
        return this.getStatus().isDone();
    }

    public boolean isSuccess(){
        return this.getStatus().isSuccess();
    }

}
