package com.cloudbility.openapi.vo;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;

@ApiModel
public class LdapConfigVo {
    @ApiModelProperty("Base DN")
    private String baseDn;
    @ApiModelProperty("LDAP协议连接的IP")
    private String ip;
    @ApiModelProperty("LDAP协议连接的端口")
    private int port = 389;
    @ApiModelProperty("LDAP Server的管理员账号")
    private String userName;
    @ApiModelProperty("部门过滤器，默认是objectClass=organizationalUnit")
    private String filterOrgUnit = "objectClass=organizationalUnit";
    @ApiModelProperty("用户过滤器，默认是objectClass=person")
    private String filterPerson = "objectClass=person";
    @ApiModelProperty("连接超时")
    private int connectTimeout = 10;//单位秒
    @ApiModelProperty("账号映射属性：LDAP/AD用户的某个属性，映射到门户用户的账号。取值全局唯一。对于AD域建议使用userPrincipalName")
    private String accountAttr;
    @ApiModelProperty("导入门户后的账号的后缀。可选。在多个LDAP server的账号映射无法唯一时使用")
    private String accountSuffix;
    @ApiModelProperty("昵称映射属性：LDAP/AD用户的某个属性，映射到门户用户的昵称。对于AD域建议使用cn")
    private String nicknameAttr;
    @ApiModelProperty("性别映射属性，可选。")
    private String genderAttr;
    @ApiModelProperty("手机号映射属性，可选。")
    private String phoneAttr;
    @ApiModelProperty("邮箱映射属性，可选。")
    private String emailAttr;

    public String getBaseDn() {
        return baseDn;
    }

    public void setBaseDn(String baseDn) {
        this.baseDn = baseDn;
    }

    public String getIp() {
        return ip;
    }

    public void setIp(String ip) {
        this.ip = ip;
    }

    public int getPort() {
        return port;
    }

    public void setPort(int port) {
        this.port = port;
    }

    public String getUserName() {
        return userName;
    }

    public void setUserName(String userName) {
        this.userName = userName;
    }

    public String getFilterOrgUnit() {
        return filterOrgUnit;
    }

    public void setFilterOrgUnit(String filterOrgUnit) {
        this.filterOrgUnit = filterOrgUnit;
    }

    public String getFilterPerson() {
        return filterPerson;
    }

    public void setFilterPerson(String filterPerson) {
        this.filterPerson = filterPerson;
    }

    public int getConnectTimeout() {
        return connectTimeout;
    }

    public void setConnectTimeout(int connectTimeout) {
        this.connectTimeout = connectTimeout;
    }

    public String getAccountAttr() {
        return accountAttr;
    }

    public void setAccountAttr(String accountAttr) {
        this.accountAttr = accountAttr;
    }

    public String getAccountSuffix() {
        return accountSuffix;
    }

    public void setAccountSuffix(String accountSuffix) {
        this.accountSuffix = accountSuffix;
    }

    public String getNicknameAttr() {
        return nicknameAttr;
    }

    public void setNicknameAttr(String nicknameAttr) {
        this.nicknameAttr = nicknameAttr;
    }

    public String getGenderAttr() {
        return genderAttr;
    }

    public void setGenderAttr(String genderAttr) {
        this.genderAttr = genderAttr;
    }

    public String getPhoneAttr() {
        return phoneAttr;
    }

    public void setPhoneAttr(String phoneAttr) {
        this.phoneAttr = phoneAttr;
    }

    public String getEmailAttr() {
        return emailAttr;
    }

    public void setEmailAttr(String emailAttr) {
        this.emailAttr = emailAttr;
    }
}
