package com.cloudbility.openapi.vo;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;

import java.math.BigDecimal;
import java.util.ArrayList;
import java.util.Date;
import java.util.List;

@ApiModel
public class OrderDetailVo {

    @ApiModelProperty("订单号")
    private String orderNumber;

    @ApiModelProperty("模块Code")
    private String moduleCode;

    @ApiModelProperty("模块名称")
    private String moduleName;

    @ApiModelProperty("套餐Code")
    private String editionCode;

    @ApiModelProperty("套餐名称")
    private String editionName;

    @ApiModelProperty("购买时长")
    private int productTerm;

    @ApiModelProperty("配额")
    private List<QuotaVo> quotas = new ArrayList<>();

    @ApiModelProperty("金额")
    private BigDecimal amount;

    @ApiModelProperty("到期时间")
    private Date expireTime;

    @ApiModelProperty("产品ID")
    private String productId;

    public String getOrderNumber() {
        return orderNumber;
    }

    public void setOrderNumber(String orderNumber) {
        this.orderNumber = orderNumber;
    }

    public String getModuleCode() {
        return moduleCode;
    }

    public void setModuleCode(String moduleCode) {
        this.moduleCode = moduleCode;
    }

    public int getProductTerm() {
        return productTerm;
    }

    public void setProductTerm(int productTerm) {
        this.productTerm = productTerm;
    }

    public String getModuleName() {
        return moduleName;
    }

    public void setModuleName(String moduleName) {
        this.moduleName = moduleName;
    }

    public String getEditionCode() {
        return editionCode;
    }

    public void setEditionCode(String editionCode) {
        this.editionCode = editionCode;
    }

    public String getEditionName() {
        return editionName;
    }

    public void setEditionName(String editionName) {
        this.editionName = editionName;
    }

    public List<QuotaVo> getQuotas() {
        return quotas;
    }

    public void setQuotas(List<QuotaVo> quotas) {
        this.quotas = quotas;
    }

    public BigDecimal getAmount() {
        return amount;
    }

    public void setAmount(BigDecimal amount) {
        this.amount = amount;
    }

    public Date getExpireTime() {
        return expireTime;
    }

    public void setExpireTime(Date expireTime) {
        this.expireTime = expireTime;
    }

    public String getProductId() {
        return productId;
    }

    public void setProductId(String productId) {
        this.productId = productId;
    }
}
