package com.cloudbility.openapi.vo;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;

import java.math.BigDecimal;
import java.util.Date;
import java.util.List;

@ApiModel
public class OrderVo {

    @ApiModelProperty("订单号")
    private String orderNumber;

    @ApiModelProperty("创建者ID")
    private Long userId;

    @ApiModelProperty("团队ID")
    private Long teamId;

    @ApiModelProperty("支付者ID")
    private Long payAccountId;

    @ApiModelProperty("产品信息")
    private String productInfo;

    @ApiModelProperty("订单类型，团队服务订单或者个人充值订单")
    private OrderType orderType;

    @ApiModelProperty("服务类型，包含开通、续费、变更、变更并续费、试用5种类型")
    private ServeType serveType;

    @ApiModelProperty("购买时长")
    private Integer productTerm;

    @ApiModelProperty("团队名称")
    private String teamName;

    @ApiModelProperty("支付方式")
    private PayMethod payMethod;

    @ApiModelProperty("支付宝或者微信交易号")
    private String payTransactionNo;

    @ApiModelProperty("创建时间")
    private Date createTime;

    @ApiModelProperty("支付时间")
    private Date payTime;

    @ApiModelProperty("支付状态")
    private PayStatus payStatus;

    @ApiModelProperty("总金额")
    private BigDecimal totalPrice;

    @ApiModelProperty("应付金额(扣除代金券和余额支付的钱)")
    private BigDecimal payablePay;

    @ApiModelProperty("实付金额")
    private BigDecimal realPay;

    @ApiModelProperty("订单来源")
    private Scope scope = Scope.Portal;

    @ApiModelProperty("订单作废原因")
    private String cancelReason;

    @ApiModelProperty("工单ID")
    private Long workflowInstanceId;

    @ApiModelProperty("订单详情，批量续费的订单会有多条记录")
    private List<OrderDetailVo> details;

    public String getOrderNumber() {
        return orderNumber;
    }

    public void setOrderNumber(String orderNumber) {
        this.orderNumber = orderNumber;
    }

    public Long getUserId() {
        return userId;
    }

    public void setUserId(Long userId) {
        this.userId = userId;
    }

    public Long getTeamId() {
        return teamId;
    }

    public void setTeamId(Long teamId) {
        this.teamId = teamId;
    }

    public Long getPayAccountId() {
        return payAccountId;
    }

    public void setPayAccountId(Long payAccountId) {
        this.payAccountId = payAccountId;
    }

    public String getProductInfo() {
        return productInfo;
    }

    public void setProductInfo(String productInfo) {
        this.productInfo = productInfo;
    }

    public OrderType getOrderType() {
        return orderType;
    }

    public void setOrderType(OrderType orderType) {
        this.orderType = orderType;
    }

    public ServeType getServeType() {
        return serveType;
    }

    public void setServeType(ServeType serveType) {
        this.serveType = serveType;
    }

    public Integer getProductTerm() {
        return productTerm;
    }

    public void setProductTerm(Integer productTerm) {
        this.productTerm = productTerm;
    }

    public String getTeamName() {
        return teamName;
    }

    public void setTeamName(String teamName) {
        this.teamName = teamName;
    }

    public PayMethod getPayMethod() {
        return payMethod;
    }

    public void setPayMethod(PayMethod payMethod) {
        this.payMethod = payMethod;
    }

    public String getPayTransactionNo() {
        return payTransactionNo;
    }

    public void setPayTransactionNo(String payTransactionNo) {
        this.payTransactionNo = payTransactionNo;
    }

    public Date getCreateTime() {
        return createTime;
    }

    public void setCreateTime(Date createTime) {
        this.createTime = createTime;
    }

    public Date getPayTime() {
        return payTime;
    }

    public void setPayTime(Date payTime) {
        this.payTime = payTime;
    }

    public PayStatus getPayStatus() {
        return payStatus;
    }

    public void setPayStatus(PayStatus payStatus) {
        this.payStatus = payStatus;
    }

    public BigDecimal getTotalPrice() {
        return totalPrice;
    }

    public void setTotalPrice(BigDecimal totalPrice) {
        this.totalPrice = totalPrice;
    }

    public BigDecimal getPayablePay() {
        return payablePay;
    }

    public void setPayablePay(BigDecimal payablePay) {
        this.payablePay = payablePay;
    }

    public BigDecimal getRealPay() {
        return realPay;
    }

    public void setRealPay(BigDecimal realPay) {
        this.realPay = realPay;
    }

    public List<OrderDetailVo> getDetails() {
        return details;
    }

    public void setDetails(List<OrderDetailVo> details) {
        this.details = details;
    }

    public Scope getScope() {
        return scope;
    }

    public void setScope(Scope scope) {
        this.scope = scope;
    }

    public String getCancelReason() {
        return cancelReason;
    }

    public void setCancelReason(String cancelReason) {
        this.cancelReason = cancelReason;
    }

    public Long getWorkflowInstanceId() {
        return workflowInstanceId;
    }

    public void setWorkflowInstanceId(Long workflowInstanceId) {
        this.workflowInstanceId = workflowInstanceId;
    }
}
