package com.cloudbility.openapi.vo;

/**
 * open api用到的权限定义
 */
public enum Permission {
    SmsAccessOld(true),//旧版短信（从SmsAccess重命名）
    SmsAccess(true),//国内短信
    IntlSmsAccess(true),//国际短信，等
    EmailAccess,//邮件发送验证码，等
    WxTemplateMsgAccess(true),//发送微信模版消息，等
    UserAccess(true),//用户管理
    TeamAccess(true),//团队管理
    HostAccess(true),//资源管理
    OAuthLogin,//openapi登录
    GetProxyScript,//openapi获取proxy安装脚本
    LogWrite,//写入日志
    CreateCasServer,
    ;
    /**
     * 是否校验额度
     */
    private boolean checkQuota;

    Permission() {
        this(false);
    }

    Permission(boolean checkQuota) {
        this.checkQuota = checkQuota;
    }


    public static Permission byName(String permission) {
        for (Permission p : values()) {
            if (permission != null && permission.equalsIgnoreCase(p.name())) {
                return p;
            }
        }
        return null;
    }
}
