package com.cloudbility.openapi.vo;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;

import java.util.Map;


@ApiModel(description = "宿主机应用属性，宿主机>工具>应用")
public class RemoteAppInfo {
    @ApiModelProperty(value = "宿主机ID，注意：宿主机ID不是云主机的ID")
    private Long railHostId;
    @ApiModelProperty(value = "宿主机IP")
    private String hostIp;
    @ApiModelProperty(value = "宿主机名称")
    private String hostName;
    @ApiModelProperty(value = "应用所在工具ID")
    private Long railToolId;
    @ApiModelProperty(value = "工具名称")
    private String toolName;
    @ApiModelProperty(value = "工具版本")
    private String toolVersion;
    @ApiModelProperty(value = "工具编码")
    private String toolCode;
    @ApiModelProperty(value = "应用名称")
    private String name;
    @ApiModelProperty(value = "备注")
    private String description;


    public static RemoteAppInfo initByMap(Map map) {
        if (map == null || map.size() == 0) {
            return new RemoteAppInfo();
        }
        RemoteAppInfo remoteAppInfo = new RemoteAppInfo();
        remoteAppInfo.setRailHostId((Long) map.get("railHostId"));
        remoteAppInfo.setHostIp((String) map.get("hostIp"));
        remoteAppInfo.setHostName((String) map.get("hostName"));
        remoteAppInfo.setRailToolId((Long) map.get("toolId"));
        remoteAppInfo.setToolName((String) map.get("toolName"));
        remoteAppInfo.setToolVersion((String) map.get("toolVersion"));
        remoteAppInfo.setToolCode((String) map.get("toolCode"));
        remoteAppInfo.setName((String) map.get("name"));
        remoteAppInfo.setDescription((String) map.get("description"));
        return remoteAppInfo;
    }


    public Long getRailHostId() {
        return railHostId;
    }

    public void setRailHostId(Long railHostId) {
        this.railHostId = railHostId;
    }

    public String getHostIp() {
        return hostIp;
    }

    public void setHostIp(String hostIp) {
        this.hostIp = hostIp;
    }

    public String getHostName() {
        return hostName;
    }

    public void setHostName(String hostName) {
        this.hostName = hostName;
    }

    public Long getRailToolId() {
        return railToolId;
    }

    public void setRailToolId(Long railToolId) {
        this.railToolId = railToolId;
    }

    public String getToolName() {
        return toolName;
    }

    public void setToolName(String toolName) {
        this.toolName = toolName;
    }

    public String getToolVersion() {
        return toolVersion;
    }

    public void setToolVersion(String toolVersion) {
        this.toolVersion = toolVersion;
    }

    public String getToolCode() {
        return toolCode;
    }

    public void setToolCode(String toolCode) {
        this.toolCode = toolCode;
    }

    public String getName() {
        return name;
    }

    public void setName(String name) {
        this.name = name;
    }

    public String getDescription() {
        return description;
    }

    public void setDescription(String description) {
        this.description = description;
    }
}
