package com.cloudbility.openapi.vo;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;

import java.util.*;

@ApiModel
public class ScriptRunResult extends JobVo {

    @ApiModelProperty("脚本ID")
    private Long scriptId;
    @ApiModelProperty("操作者ID")
    private Long operatorId;
    @ApiModelProperty("执行主机总数")
    private int total;
    @ApiModelProperty("处于等待的主机数")
    private int pending;
    @ApiModelProperty("处于执行中的主机数")
    private int running;
    @ApiModelProperty("执行成功的主机数")
    private int completed;
    @ApiModelProperty("执行失败的主机数")
    private int fails;
    @ApiModelProperty("执行被取消的主机数")
    private int cancelled;
    @ApiModelProperty("任务最后完成时间")
    private Date lastCompleteTime;
    @ApiModelProperty("每台主机执行结果")
    private List<ScriptRunVo> scriptRuns = new ArrayList<>();

    public Long getScriptId() {
        return scriptId;
    }

    public void setScriptId(Long scriptId) {
        this.scriptId = scriptId;
    }

    public Long getOperatorId() {
        return operatorId;
    }

    public void setOperatorId(Long operatorId) {
        this.operatorId = operatorId;
    }

    public int getTotal() {
        return total;
    }

    public void setTotal(int total) {
        this.total = total;
    }

    public int getPending() {
        return pending;
    }

    public void setPending(int pending) {
        this.pending = pending;
    }

    public int getRunning() {
        return running;
    }

    public void setRunning(int running) {
        this.running = running;
    }

    public int getCompleted() {
        return completed;
    }

    public void setCompleted(int completed) {
        this.completed = completed;
    }

    public int getFails() {
        return fails;
    }

    public void setFails(int fails) {
        this.fails = fails;
    }

    public int getCancelled() {
        return cancelled;
    }

    public void setCancelled(int cancelled) {
        this.cancelled = cancelled;
    }

    public Date getLastCompleteTime() {
        return lastCompleteTime;
    }

    public void setLastCompleteTime(Date lastCompleteTime) {
        this.lastCompleteTime = lastCompleteTime;
    }

    public List<ScriptRunVo> getScriptRuns() {
        return scriptRuns;
    }

    public void setScriptRuns(List<ScriptRunVo> scriptRuns) {
        this.scriptRuns = scriptRuns;
    }

    public boolean isDone(){
        return total == completed + fails + cancelled && lastCompleteTime != null && (running == 0 && pending == 0);
    }
}
