package com.cloudbility.openapi.vo;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;

/**
 * 安全组规则
 * Created by lidonghao on 2020/8/20.
 */
@ApiModel
public class SecurityGroupRuleVo {

    @ApiModelProperty("安全组ID")
    private String securityGroupId;

    @ApiModelProperty("传输层协议，tcp|udp|all")
    private SecurityGroupRuleIpProtocol ipProtocol = SecurityGroupRuleIpProtocol.all;

    @ApiModelProperty("访问权限，accept|drop")
    private SecurityGroupRulePolicy policy = SecurityGroupRulePolicy.accept;

    @ApiModelProperty("规则优先级")
    private String priority;

    @ApiModelProperty("安全组规则授权方向，egress：安全组出方向，ingress：安全组入方向")
    private SecurityGroupRuleDirection direction = SecurityGroupRuleDirection.ingress;

    @ApiModelProperty("经典网络取值internet和intranet，VPC取值只能为intranet")
    private SecurityGroupRuleNicType nicType = SecurityGroupRuleNicType.intranet;

    @ApiModelProperty("端口范围，连接端口范围：开始端口/结束端口，如1/200 ；单个端口如22/22 ；多个端口如23/23,80/80；IpProtocol取值为all：-1/-1")
    private String portRange;

    @ApiModelProperty("源IP地址段，用于入方向授权，direction为ingress时该变量有值")
    private String sourceCidrIp;

    @ApiModelProperty("目标IP地址段，用于出方向授权，direction为egress时该变量有值")
    private String destCidrIp;

    public String getSecurityGroupId() {
        return securityGroupId;
    }

    public void setSecurityGroupId(String securityGroupId) {
        this.securityGroupId = securityGroupId;
    }

    public SecurityGroupRuleIpProtocol getIpProtocol() {
        return ipProtocol;
    }

    public void setIpProtocol(SecurityGroupRuleIpProtocol ipProtocol) {
        this.ipProtocol = ipProtocol;
    }

    public SecurityGroupRulePolicy getPolicy() {
        return policy;
    }

    public void setPolicy(SecurityGroupRulePolicy policy) {
        this.policy = policy;
    }

    public String getPriority() {
        return priority;
    }

    public void setPriority(String priority) {
        this.priority = priority;
    }

    public SecurityGroupRuleDirection getDirection() {
        return direction;
    }

    public void setDirection(SecurityGroupRuleDirection direction) {
        this.direction = direction;
    }

    public SecurityGroupRuleNicType getNicType() {
        return nicType;
    }

    public void setNicType(SecurityGroupRuleNicType nicType) {
        this.nicType = nicType;
    }

    public String getPortRange() {
        return portRange;
    }

    public void setPortRange(String portRange) {
        this.portRange = portRange;
    }

    public String getSourceCidrIp() {
        return sourceCidrIp;
    }

    public void setSourceCidrIp(String sourceCidrIp) {
        this.sourceCidrIp = sourceCidrIp;
    }

    public String getDestCidrIp() {
        return destCidrIp;
    }

    public void setDestCidrIp(String destCidrIp) {
        this.destCidrIp = destCidrIp;
    }
}
