package com.cloudbility.openapi.vo;


public enum SmsTemplate {
    /**
     * 短信验证码:
     * VerifyCode Session2FA
     * caoyuan:
     * 2019.02.21
     * 最新验证码类短信只支持1个变量参数,旧模板维持不变
     */
    VerifyCode(2),//验证码模版：验证码，超时（分）
    UnbindVerifyCode(0),//TODO
    Session2FA(2),//会话双因子认证：超时（分）、验证码
    SystemUpgrade(2),//升级通知：开始时间，结束时间
    MonitorAlert(3),//监控预警
    CostAlert(2),//后付费资源消费预警
    AlertRecover(4),//告警恢复
    LoginCmdAudit(4),//登录,指令审批
    RemoteLogin(2),//异地登录提醒
    PendingTask(4),//待办任务通知
    PendingTaskWithoutCode(4),//待办任务通知
    SessionInvite(2),//私有版会话邀请
    SaaSSessionInvite(2),//SAAS会话邀请
    TransitFirewallNotice(1),//中转服务防火墙黑名单ip通知


    //安恒监控相关
    scannerInsufficientQuota(1),
    scannerBuyOverlayPackageForTimes(1),
    scannerBuyOverlayPackageForTask(1),
    scannerGenerateReport(2),
    scannerFindAttack(3),
    scannerStartScanning(2),
    monitorGenerateReport(3),
    monitorSiteCannotAccess(3),

    //这个只用于api接收
    monitorSiteCannotResolve(2),
    //这两个为实际的模板
    monitorSiteCannotResolve_dns(2),
    monitorSiteCannotResolve_authorityDns(2),

    monitorSiteRecovered(3),

    edrAlert(7),

    ;
    private int paramLength;//模版需要的参数长度

    SmsTemplate(int paramLength) {
        this.paramLength = paramLength;
    }

    public int getParamLength() {
        return paramLength;
    }

}
