package com.cloudbility.openapi.vo;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;

@ApiModel
public class SqlLog {

    @ApiModelProperty("团队ID")
    private Long teamId;

    @ApiModelProperty("数据库ID")
    private Long dbId;

    @ApiModelProperty("会话ID")
    private Long sessionId;

    @ApiModelProperty("操作用户ID")
    private Long actorId;

    @ApiModelProperty("操作用户昵称")
    private String actorName;

    @ApiModelProperty("是否成功")
    private boolean success;

    @ApiModelProperty("sql语句")
    private String query;

    @ApiModelProperty("查询开始时间戳")
    private long queryStart;

    @ApiModelProperty("查询结束时间戳")
    private long queryEnd;

    @ApiModelProperty("SQL返回记录行数")
    private long rowCount;

    @ApiModelProperty("错误代码")
    private String errorCode;

    @Deprecated
    @ApiModelProperty("SQL状态")
    private String sqlState;

    @ApiModelProperty("错误信息")
    private String errorMessage;

    @ApiModelProperty("数据库类型")
    private DbType dbType;


    public Long getTeamId() {
        return teamId;
    }

    public void setTeamId(Long teamId) {
        this.teamId = teamId;
    }

    public Long getDbId() {
        return dbId;
    }

    public void setDbId(Long dbId) {
        this.dbId = dbId;
    }

    public Long getSessionId() {
        return sessionId;
    }

    public void setSessionId(Long sessionId) {
        this.sessionId = sessionId;
    }

    public Long getActorId() {
        return actorId;
    }

    public void setActorId(Long actorId) {
        this.actorId = actorId;
    }

    public String getActorName() {
        return actorName;
    }

    public void setActorName(String actorName) {
        this.actorName = actorName;
    }

    public String getQuery() {
        return query;
    }

    public void setQuery(String query) {
        this.query = query;
    }

    public long getQueryStart() {
        return queryStart;
    }

    public void setQueryStart(long queryStart) {
        this.queryStart = queryStart;
    }

    public long getQueryEnd() {
        return queryEnd;
    }

    public void setQueryEnd(long queryEnd) {
        this.queryEnd = queryEnd;
    }

    public long getRowCount() {
        return rowCount;
    }

    public void setRowCount(long rowCount) {
        this.rowCount = rowCount;
    }

    public String getErrorCode() {
        return errorCode;
    }

    public void setErrorCode(String errorCode) {
        this.errorCode = errorCode;
    }

    public String getSqlState() {
        return sqlState;
    }

    public void setSqlState(String sqlState) {
        this.sqlState = sqlState;
    }

    public String getErrorMessage() {
        return errorMessage;
    }

    public void setErrorMessage(String errorMessage) {
        this.errorMessage = errorMessage;
    }

    public DbType getDbType() {
        return dbType;
    }

    public void setDbType(DbType dbType) {
        this.dbType = dbType;
    }

    public boolean isSuccess() {
        return success;
    }

    public void setSuccess(boolean success) {
        this.success = success;
    }
}
