package com.cloudbility.openapi.vo;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;

import java.util.Date;

@ApiModel
public class UserVo {

    @ApiModelProperty("租户ID")
    private Long tenantId;

    @ApiModelProperty("用户ID。可以作为用户相关API请求的关键字。")
    private Long id;
    @ApiModelProperty("用户ID。冗余字段")
    private Long userId;
    @ApiModelProperty("用户昵称")
    private String nickname;
    @ApiModelProperty("用户昵称，4.10新增冗余字段")
    private String name;
    @ApiModelProperty("导入时间")
    private Date importTime;
    @ApiModelProperty("地址")
    private String address;
    @ApiModelProperty("用户签名，4.10新增冗余字段")
    private String introduce;

    /**
     * UNSPECIFIC(0),
     * MALE(1),
     * FEMALE(2)
     */
    @ApiModelProperty("性别:0:未知；1：男；2：女")
    private int gender;
    @ApiModelProperty("最后登录时间")
    private Date lastLoginTime;
    @ApiModelProperty("登录次数")
    private Integer loginCount;
    @ApiModelProperty("邮箱")
    private String email;
    @ApiModelProperty("手机号")
    private String phone;
    @ApiModelProperty("用户账号，可以作为用户相关API请求的关键字。")
    private String account;
    @ApiModelProperty("用户状态")
    private UserStatusVo status;
    @ApiModelProperty("是否在线")
    private boolean online;
    @ApiModelProperty("用户签名")
    private String signature;
    @ApiModelProperty("用户UID，在审计日志和录像中用到。")
    private String uid;

    @ApiModelProperty("认证方式")
    private AuthMethodVo authMethod;

    @ApiModelProperty("LDAP认证的baseDn")
    private String ldapBaseDn;

    @ApiModelProperty("账号映射LDAP用户的属性名")
    private String ldapAttr;

    @ApiModelProperty("开始禁用的时间（如果禁用了）")
    private Date blockedTime;

    @ApiModelProperty("禁用持续的时间（单位秒），=0表示永久禁用")
    private Integer blockingSeconds;
    @ApiModelProperty("是否已删除用户")
    private boolean delete;

    public Long getTenantId() {
        return tenantId;
    }

    public void setTenantId(Long tenantId) {
        this.tenantId = tenantId;
    }

    public String getName() {
        return name;
    }

    public void setName(String name) {
        this.name = name;
    }

    public Long getId() {
        return id;
    }

    public void setId(Long id) {
        this.id = id;
    }

    public String getNickname() {
        return nickname;
    }

    public void setNickname(String nickname) {
        this.nickname = nickname;
    }

    public Date getImportTime() {
        return importTime;
    }

    public void setImportTime(Date importTime) {
        this.importTime = importTime;
    }

    public int getGender() {
        return gender;
    }

    public void setGender(int gender) {
        this.gender = gender;
    }

    public Date getLastLoginTime() {
        return lastLoginTime;
    }

    public void setLastLoginTime(Date lastLoginTime) {
        this.lastLoginTime = lastLoginTime;
    }

    public Integer getLoginCount() {
        return loginCount;
    }

    public void setLoginCount(Integer loginCount) {
        this.loginCount = loginCount;
    }

    public String getEmail() {
        return email;
    }

    public void setEmail(String email) {
        this.email = email;
    }

    public String getPhone() {
        return phone;
    }

    public void setPhone(String phone) {
        this.phone = phone;
    }

    public String getAccount() {
        return account;
    }

    public void setAccount(String account) {
        this.account = account;
    }

    public UserStatusVo getStatus() {
        return status;
    }

    public void setStatus(UserStatusVo status) {
        this.status = status;
    }

    public boolean isOnline() {
        return online;
    }

    public void setOnline(boolean online) {
        this.online = online;
    }

    public String getSignature() {
        return signature;
    }

    public void setSignature(String signature) {
        this.signature = signature;
    }

    public String getUid() {
        return uid;
    }

    public void setUid(String uid) {
        this.uid = uid;
    }

    public String getAddress() {
        return address;
    }

    public void setAddress(String address) {
        this.address = address;
    }

    public String getIntroduce() {
        return introduce;
    }

    public void setIntroduce(String introduce) {
        this.introduce = introduce;
    }

    public Long getUserId() {
        return userId;
    }

    public void setUserId(Long userId) {
        this.userId = userId;
    }

    public AuthMethodVo getAuthMethod() {
        return authMethod;
    }

    public void setAuthMethod(AuthMethodVo authMethod) {
        this.authMethod = authMethod;
    }

    public String getLdapBaseDn() {
        return ldapBaseDn;
    }

    public void setLdapBaseDn(String ldapBaseDn) {
        this.ldapBaseDn = ldapBaseDn;
    }

    public String getLdapAttr() {
        return ldapAttr;
    }

    public void setLdapAttr(String ldapAttr) {
        this.ldapAttr = ldapAttr;
    }

    public Date getBlockedTime() {
        return blockedTime;
    }

    public void setBlockedTime(Date blockedTime) {
        this.blockedTime = blockedTime;
    }

    public Integer getBlockingSeconds() {
        return blockingSeconds;
    }

    public void setBlockingSeconds(Integer blockingSeconds) {
        this.blockingSeconds = blockingSeconds;
    }

    public void setDelete(boolean delete) {
        this.delete = delete;
    }

    public boolean getDelete() {
        return delete;
    }
}
