package com.cloudbility.openapi.vo;

import com.cloudbility.openapi.response.OpenapiResponse;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;

import java.util.ArrayList;
import java.util.Date;
import java.util.List;

@ApiModel
public class WorkTaskVo {

    @ApiModelProperty("工作项ID")
    private Long id;

    @ApiModelProperty("工作项主题")
    private String subject;

    @ApiModelProperty("工作项类型")
    private WorkTypeVo workType;

    @ApiModelProperty("发起人ID")
    private Long applicantId;

    @ApiModelProperty("发起人账号")
    private String applicantAccount;

    @ApiModelProperty("发起人名称")
    private String applicantName;

    @ApiModelProperty("发起人所属团队ID")
    private Long applicantTeamId;

    @ApiModelProperty("操作人ID")
    private Long operatorId;

    @ApiModelProperty("操作人账号")
    private String operatorAccount;

    @ApiModelProperty("操作人名称")
    private String operatorName;

    @ApiModelProperty("操作人所属团队ID")
    private Long operatorTeamId;

    @ApiModelProperty("操作人动作：如果未处理，则为null")
    private WorkflowActionVo action;

    @ApiModelProperty("操作人参与类型")
    private WorkItemStageVo stage;

    @ApiModelProperty("工作项状态")
    private WorkflowInstanceStatusVo status;

    @ApiModelProperty("工作项创建时间")
    private Date createTime;

    @ApiModelProperty("工作项开始时间")
    private Date startTime;

    @ApiModelProperty("工作项完成时间")
    private Date finishTime;

    @ApiModelProperty("工作项更新时间")
    private Date updateTime;

    @ApiModelProperty("工作项处理结果")
    private String result;

    @ApiModelProperty("工作节点名称")
    private String workNodeName;

    @ApiModelProperty("流程实例ID")
    private Long instanceId;

    @ApiModelProperty("流程实例的主题")
    private String instanceSubject;

    @ApiModelProperty("流程实例的描述")
    private String instanceDescription;

    @ApiModelProperty("流程模版ID")
    private Long templateId;

    @ApiModelProperty("流程模版名称")
    private String templateName;

    public Date getUpdateTime() {
        return updateTime;
    }

    public void setUpdateTime(Date updateTime) {
        this.updateTime = updateTime;
    }

    public Long getId() {
        return id;
    }

    public void setId(Long id) {
        this.id = id;
    }

    public String getSubject() {
        return subject;
    }

    public void setSubject(String subject) {
        this.subject = subject;
    }

    public WorkTypeVo getWorkType() {
        return workType;
    }

    public void setWorkType(WorkTypeVo workType) {
        this.workType = workType;
    }

    public Long getInstanceId() {
        return instanceId;
    }

    public void setInstanceId(Long instanceId) {
        this.instanceId = instanceId;
    }

    public Long getApplicantId() {
        return applicantId;
    }

    public void setApplicantId(Long applicantId) {
        this.applicantId = applicantId;
    }

    public String getApplicantName() {
        return applicantName;
    }

    public void setApplicantName(String applicantName) {
        this.applicantName = applicantName;
    }

    public Long getApplicantTeamId() {
        return applicantTeamId;
    }

    public void setApplicantTeamId(Long applicantTeamId) {
        this.applicantTeamId = applicantTeamId;
    }

    public Long getOperatorId() {
        return operatorId;
    }

    public void setOperatorId(Long operatorId) {
        this.operatorId = operatorId;
    }

    public String getOperatorName() {
        return operatorName;
    }

    public void setOperatorName(String operatorName) {
        this.operatorName = operatorName;
    }

    public Long getOperatorTeamId() {
        return operatorTeamId;
    }

    public void setOperatorTeamId(Long operatorTeamId) {
        this.operatorTeamId = operatorTeamId;
    }

    public WorkflowActionVo getAction() {
        return action;
    }

    public void setAction(WorkflowActionVo action) {
        this.action = action;
    }

    public WorkItemStageVo getStage() {
        return stage;
    }

    public void setStage(WorkItemStageVo stage) {
        this.stage = stage;
    }

    public WorkflowInstanceStatusVo getStatus() {
        return status;
    }

    public void setStatus(WorkflowInstanceStatusVo status) {
        this.status = status;
    }

    public Date getCreateTime() {
        return createTime;
    }

    public void setCreateTime(Date createTime) {
        this.createTime = createTime;
    }

    public Date getStartTime() {
        return startTime;
    }

    public void setStartTime(Date startTime) {
        this.startTime = startTime;
    }

    public Date getFinishTime() {
        return finishTime;
    }

    public void setFinishTime(Date finishTime) {
        this.finishTime = finishTime;
    }

    public String getResult() {
        return result;
    }

    public void setResult(String result) {
        this.result = result;
    }

    public String getApplicantAccount() {
        return applicantAccount;
    }

    public void setApplicantAccount(String applicantAccount) {
        this.applicantAccount = applicantAccount;
    }

    public String getOperatorAccount() {
        return operatorAccount;
    }

    public void setOperatorAccount(String operatorAccount) {
        this.operatorAccount = operatorAccount;
    }

    public String getWorkNodeName() {
        return workNodeName;
    }

    public void setWorkNodeName(String workNodeName) {
        this.workNodeName = workNodeName;
    }

    public String getInstanceSubject() {
        return instanceSubject;
    }

    public void setInstanceSubject(String instanceSubject) {
        this.instanceSubject = instanceSubject;
    }

    public String getInstanceDescription() {
        return instanceDescription;
    }

    public void setInstanceDescription(String instanceDescription) {
        this.instanceDescription = instanceDescription;
    }

    public Long getTemplateId() {
        return templateId;
    }

    public void setTemplateId(Long templateId) {
        this.templateId = templateId;
    }

    public String getTemplateName() {
        return templateName;
    }

    public void setTemplateName(String templateName) {
        this.templateName = templateName;
    }

    /**
     * Created by lidonghao on 2020/11/24.
     */
    @ApiModel
    public static class UserExtendParamResult extends OpenapiResponse {

        @ApiModelProperty("用户扩展属性")
        private List<UserExtendParamVo> userExtendParams = new ArrayList<>();

        public List<UserExtendParamVo> getUserExtendParams() {
            return userExtendParams;
        }

        public void setUserExtendParams(List<UserExtendParamVo> userExtendParams) {
            this.userExtendParams = userExtendParams;
        }
    }

    /**
     * 用户扩展属性
     * Created by lidonghao on 2020/11/24.
     */
    @ApiModel
    public static class UserExtendParamVo extends OpenapiResponse {

        @ApiModelProperty("用户ID")
        private Long userId;

        @ApiModelProperty("参数名")
        private String paramName;

        @ApiModelProperty("参数值")
        private String paramValue;

        @ApiModelProperty("描述")
        private String description;

        @ApiModelProperty("创建时间")
        private Date createTime;

        @ApiModelProperty("更新时间")
        private Date updateTime;

        public Long getUserId() {
            return userId;
        }

        public void setUserId(Long userId) {
            this.userId = userId;
        }

        public String getParamName() {
            return paramName;
        }

        public void setParamName(String paramName) {
            this.paramName = paramName;
        }

        public String getParamValue() {
            return paramValue;
        }

        public void setParamValue(String paramValue) {
            this.paramValue = paramValue;
        }

        public String getDescription() {
            return description;
        }

        public void setDescription(String description) {
            this.description = description;
        }

        public Date getCreateTime() {
            return createTime;
        }

        public void setCreateTime(Date createTime) {
            this.createTime = createTime;
        }

        public Date getUpdateTime() {
            return updateTime;
        }

        public void setUpdateTime(Date updateTime) {
            this.updateTime = updateTime;
        }
    }
}
