package com.cloudbility.openapi.vo;

public enum WorkflowInstanceStatusVo {
    Pending,//等待处理：（包括等待审核、），即当前没有分配处理人的时候
    Handing,//正在处理，当前分配了处理人的时候
    Approved,//同意
    Completed,//处理完成
    Denied,//拒绝
    Canceled,//取消
    Failed,//处理失败
    Invalid,//失效、作废
    Timeout,//超时
    Closed,//被关闭
    ;

    public static WorkflowInstanceStatusVo byName(String name) {
        for (WorkflowInstanceStatusVo statusVo : values()) {
            if (statusVo.name().equalsIgnoreCase(name)) {
                return statusVo;
            }
        }
        return null;
    }


    /**
     * 是否是终态
     *
     * @return
     */
    public boolean isFinal() {
        switch (this) {
            case Denied:
            case Canceled:
            case Failed:
            case Invalid:
            case Closed:
            case Timeout:
                return true;
        }
        return false;
    }

    public boolean isSuccess() {
        switch (this) {
            case Approved:
            case Completed:
                return true;
        }
        return false;
    }
}
