package com.cloudbility.openapi.vo.healthCheck;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;

@ApiModel(description = "体检项")
public enum HealthCheckItemType {

    @ApiModelProperty("系统安全-异常账户检查")
    AbnormalAccount,
    @ApiModelProperty("系统安全-异常登录检查")
    AbnormalLogin,
    @ApiModelProperty("系统安全-SSH密码登录检查")
    SSHAuthPassword,
    @ApiModelProperty("系统安全-关键软件包检查")
    CriticalPackage,
    @ApiModelProperty("系统安全-匿名访问服务检查")
    AnonymousAccess,
    @ApiModelProperty("系统安全-系统时间检查")
    Timestamp,
    @ApiModelProperty("系统安全-Web Server权限检查")
    WebServerUser,
    @ApiModelProperty("系统安全-临时目录权限检查")
    TmpDirExecutable,
    @ApiModelProperty("僵尸账号检查")
    ZombieAccount,
    @ApiModelProperty("幽灵账号检查")
    GhostAccount,
    @ApiModelProperty("幽灵密钥检查")
    GhostKey,
    @ApiModelProperty("孤儿凭证检查")
    OrphanCredentials,
    @ApiModelProperty("弱密码凭证检查")
    WeakPasswordCredentials,

    @ApiModelProperty("网络安全-防火墙检查")
    Firewall,
    @ApiModelProperty("网络安全-危险端口开放检查")
    Port,
    @ApiModelProperty("网络安全-DDoS攻击检查")
    InternetInTraffic,
    @ApiModelProperty("网络安全-内网访问检查")
    IntranetAccess,

    @ApiModelProperty("性能负载-CPU负载检查")
    CPU,
    @ApiModelProperty("性能负载-内存负载检查")
    Memory,
    @ApiModelProperty("性能负载-公网出站负载检查")
    Internet,
    @ApiModelProperty("性能负载-磁盘IO负载检查")
    DiskIO,

    @ApiModelProperty("使用趋势-内存使用率趋势检查")
    MemoryTrend,
    @ApiModelProperty("使用趋势-磁盘分区使用率趋势检查")
    Partition;

}
