package com.cloudbility.openapi.vo.healthCheck;

import com.cloudbility.openapi.common.StringUtil;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;

@ApiModel
public enum HealthResult {
    @ApiModelProperty(value = "忽略")
    IGNORED,
    @ApiModelProperty(value = "表示负载指数很低")
    LOW,
    @ApiModelProperty(value = "健康")
    HEALTH,
    @ApiModelProperty(value = "提示")
    WARNING,
    @ApiModelProperty(value = "警告")
    ERROR,
    @ApiModelProperty(value = "有异常且给出必要提示")
    ERROR_INFO,
    @ApiModelProperty(value = "取数异常")
    EXCEPTION,
    @ApiModelProperty(value = "过期")
    EXPIRED,
    @ApiModelProperty(value = "体检报告生成时出现的未知异常")
    REPORT_ERROR;

    public static HealthResult byName(String name) {
        if (StringUtil.isEmpty(name)) {
            return WARNING;
        }
        name = name.trim().toUpperCase();
        HealthResult healthResult = HealthResult.valueOf(name);
        if (healthResult == null) {
            return WARNING;
        }
        return healthResult;
    }
}
