package com.cloudbility.openapi.vo.healthCheck.subItem;

import com.cloudbility.openapi.vo.healthCheck.HealthCheckItemType;
import com.cloudbility.openapi.vo.healthCheck.HealthResult;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;

import java.util.List;

/**
 * @author heyanqiao
 * @since 2021-05-31
 */
@ApiModel
public class AbnormalAccountCheck {
    @ApiModelProperty("体检项")
    private HealthCheckItemType healthCheckItemType = HealthCheckItemType.AbnormalAccount;
    @ApiModelProperty(value = "健康等级")
    private HealthResult level;
    @ApiModelProperty(value = "信息备注")
    private String comment;
    @ApiModelProperty(value = "是否有数据")
    private Boolean dataFound = false;
    @ApiModelProperty(value = "无用、id为0的非root帐号")
    private List<String> zeroIdUsers;
    @ApiModelProperty(value = "空密码账户")
    private List<String> emptyPasswordUsers;

    public HealthCheckItemType getHealthCheckItemType() {
        return healthCheckItemType;
    }

    public void setHealthCheckItemType(HealthCheckItemType healthCheckItemType) {
        this.healthCheckItemType = healthCheckItemType;
    }

    public Boolean getDataFound() {
        return dataFound;
    }

    public void setDataFound(Boolean dataFound) {
        this.dataFound = dataFound;
    }

    public List<String> getZeroIdUsers() {
        return zeroIdUsers;
    }

    public void setZeroIdUsers(List<String> zeroIdUsers) {
        this.zeroIdUsers = zeroIdUsers;
    }

    public List<String> getEmptyPasswordUsers() {
        return emptyPasswordUsers;
    }

    public void setEmptyPasswordUsers(List<String> emptyPasswordUsers) {
        this.emptyPasswordUsers = emptyPasswordUsers;
    }

    public HealthResult getLevel() {
        return level;
    }

    public void setLevel(HealthResult level) {
        this.level = level;
    }

    public String getComment() {
        return comment;
    }

    public void setComment(String comment) {
        this.comment = comment;
    }


}
