package com.cloudbility.openapi.vo.healthCheck.subItem;

import com.cloudbility.openapi.vo.healthCheck.HealthCheckItemType;
import com.cloudbility.openapi.vo.healthCheck.HealthResult;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;

/**
 * @author heyanqiao
 * @since 2021-05-31
 */
@ApiModel
public class CpuCheck {

    @ApiModelProperty("体检项")
    private HealthCheckItemType healthCheckItemType = HealthCheckItemType.CPU;

    @ApiModelProperty(value = "开始时间")
    private Long startTime;

    @ApiModelProperty(value = "检查间隔时间，单位：分钟")
    private Integer interval;

    @ApiModelProperty(value = "健康等级")
    private HealthResult level;

    @ApiModelProperty(value = "信息备注")
    private String comment;

    @ApiModelProperty(value = "是否存在负载检查数据")
    private Boolean dataFound = false;

    @ApiModelProperty(value = "使用率等级", allowableValues = "HEALTH,WARNING,ERROR")
    private String usageLevel;

    @ApiModelProperty(value = "使用率描述信息")
    private String usageComment;

    @ApiModelProperty(value = "负载因子信息", example = "{\"level\":\"low\",\"value\":5.0}")
    private LoadItem load;

    @ApiModelProperty(value = "平均值")
    private Double mean;
    @ApiModelProperty(value = "中位数")
    private Double median;
    @ApiModelProperty(value = "95分位数")
    private Double percentile;
    @ApiModelProperty(value = "标准差，浮动范围")
    private Double stdev;
    @ApiModelProperty(value = "高负载时间，单位分钟")
    private Integer highTime;
    @ApiModelProperty(value = "满负载时间，单位分钟")
    private Integer fullTime;

    public HealthCheckItemType getHealthCheckItemType() {
        return healthCheckItemType;
    }

    public void setHealthCheckItemType(HealthCheckItemType healthCheckItemType) {
        this.healthCheckItemType = healthCheckItemType;
    }

    public HealthResult getLevel() {
        return level;
    }

    public void setLevel(HealthResult level) {
        this.level = level;
    }

    public String getComment() {
        return comment;
    }

    public void setComment(String comment) {
        this.comment = comment;
    }

    public Boolean getDataFound() {
        return dataFound;
    }

    public void setDataFound(Boolean dataFound) {
        this.dataFound = dataFound;
    }

    public String getUsageLevel() {
        return usageLevel;
    }

    public void setUsageLevel(String usageLevel) {
        this.usageLevel = usageLevel;
    }

    public String getUsageComment() {
        return usageComment;
    }

    public void setUsageComment(String usageComment) {
        this.usageComment = usageComment;
    }

    public Long getStartTime() {
        return startTime;
    }

    public void setStartTime(Long startTime) {
        this.startTime = startTime;
    }

    public Integer getInterval() {
        return interval;
    }

    public void setInterval(Integer interval) {
        this.interval = interval;
    }

    public LoadItem getLoad() {
        return load;
    }

    public void setLoad(LoadItem load) {
        this.load = load;
    }

    public Double getMean() {
        return mean;
    }

    public void setMean(Double mean) {
        this.mean = mean;
    }

    public Double getMedian() {
        return median;
    }

    public void setMedian(Double median) {
        this.median = median;
    }

    public Double getPercentile() {
        return percentile;
    }

    public void setPercentile(Double percentile) {
        this.percentile = percentile;
    }

    public Double getStdev() {
        return stdev;
    }

    public void setStdev(Double stdev) {
        this.stdev = stdev;
    }

    public Integer getHighTime() {
        return highTime;
    }

    public void setHighTime(Integer highTime) {
        this.highTime = highTime;
    }

    public Integer getFullTime() {
        return fullTime;
    }

    public void setFullTime(Integer fullTime) {
        this.fullTime = fullTime;
    }

}
