package com.cloudbility.openapi.vo.healthCheck.subItem;

import com.cloudbility.openapi.vo.healthCheck.HealthCheckItemType;
import com.cloudbility.openapi.vo.healthCheck.HealthResult;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;

import java.util.List;

/**
 * @author heyanqiao
 * @since 2021-05-31
 */
@ApiModel
public class CriticalPackageCheck {
    @ApiModelProperty("体检项")
    private HealthCheckItemType healthCheckItemType = HealthCheckItemType.CriticalPackage;
    @ApiModelProperty(value = "健康等级")
    private HealthResult level;
    @ApiModelProperty(value = "信息备注")
    private String comment;
    @ApiModelProperty(value = "是否有数据")
    private Boolean dataFound = false;
    @ApiModelProperty(value = "被篡改的软件包")
    private List<ModifiedPackage> modifiedPackages;

    public HealthCheckItemType getHealthCheckItemType() {
        return healthCheckItemType;
    }

    public void setHealthCheckItemType(HealthCheckItemType healthCheckItemType) {
        this.healthCheckItemType = healthCheckItemType;
    }

    public Boolean getDataFound() {
        return dataFound;
    }

    public void setDataFound(Boolean dataFound) {
        this.dataFound = dataFound;
    }

    public List<ModifiedPackage> getModifiedPackages() {
        return modifiedPackages;
    }

    public void setModifiedPackages(List<ModifiedPackage> modifiedPackages) {
        this.modifiedPackages = modifiedPackages;
    }

    public HealthResult getLevel() {
        return level;
    }

    public void setLevel(HealthResult level) {
        this.level = level;
    }

    public String getComment() {
        return comment;
    }

    public void setComment(String comment) {
        this.comment = comment;
    }
}
