package com.cloudbility.openapi.vo.healthCheck.subItem;

import com.cloudbility.openapi.vo.healthCheck.HealthResult;
import io.swagger.annotations.ApiModelProperty;

public class DiskIOItem {


    @ApiModelProperty(value = "健康等级")
    private HealthResult level;

    @ApiModelProperty(value = "信息备注")
    private String comment;

    @ApiModelProperty(value = "分区名")
    private String partitionName;

    @ApiModelProperty(value = "是否存在检查数据")
    private Boolean dataFound = false;

    @ApiModelProperty(value = "写负载因子信息", example = "{\"level\":\"low\",\"value\":5.0}")
    private LoadItem writeLoad;

    @ApiModelProperty(value = "读负载因子信息", example = "{\"level\":\"low\",\"value\":5.0}")
    private LoadItem readLoad;

    @ApiModelProperty(value = "平均读速率，单位：bps")
    private Double readMean;
    @ApiModelProperty(value = "最大读速率，单位：bps")
    private Double readMax;
    @ApiModelProperty(value = "总计读取，单位：bps")
    private Double readTotal;
    @ApiModelProperty(value = "平均写速率，单位：bps")
    private Double writeMean;
    @ApiModelProperty(value = "最大写速率，单位：bps")
    private Double writeMax;
    @ApiModelProperty(value = "总计写入，单位：bps")
    private Double writeTotal;
    @ApiModelProperty(value = "磁盘IO吞吐量极限值，单位：bps")
    private Double ioLimit;
    @ApiModelProperty(value = "开始时间")
    private Long startTime;

    @ApiModelProperty(value = "检查间隔时间，单位：分钟")
    private Integer interval;

    public Boolean getDataFound() {
        return dataFound;
    }

    public void setDataFound(Boolean dataFound) {
        this.dataFound = dataFound;
    }

    public Double getIoLimit() {
        return ioLimit;
    }

    public void setIoLimit(Double ioLimit) {
        this.ioLimit = ioLimit;
    }

    public Long getStartTime() {
        return startTime;
    }

    public void setStartTime(Long startTime) {
        this.startTime = startTime;
    }

    public Integer getInterval() {
        return interval;
    }

    public void setInterval(Integer interval) {
        this.interval = interval;
    }

    public HealthResult getLevel() {
        return level;
    }

    public void setLevel(HealthResult level) {
        this.level = level;
    }

    public String getComment() {
        return comment;
    }

    public void setComment(String comment) {
        this.comment = comment;
    }

    public String getPartitionName() {
        return partitionName;
    }

    public void setPartitionName(String partitionName) {
        this.partitionName = partitionName;
    }

    public LoadItem getWriteLoad() {
        return writeLoad;
    }

    public void setWriteLoad(LoadItem writeLoad) {
        this.writeLoad = writeLoad;
    }

    public LoadItem getReadLoad() {
        return readLoad;
    }

    public void setReadLoad(LoadItem readLoad) {
        this.readLoad = readLoad;
    }

    public Double getReadMean() {
        return readMean;
    }

    public void setReadMean(Double readMean) {
        this.readMean = readMean;
    }

    public Double getReadMax() {
        return readMax;
    }

    public void setReadMax(Double readMax) {
        this.readMax = readMax;
    }

    public Double getReadTotal() {
        return readTotal;
    }

    public void setReadTotal(Double readTotal) {
        this.readTotal = readTotal;
    }

    public Double getWriteMean() {
        return writeMean;
    }

    public void setWriteMean(Double writeMean) {
        this.writeMean = writeMean;
    }

    public Double getWriteMax() {
        return writeMax;
    }

    public void setWriteMax(Double writeMax) {
        this.writeMax = writeMax;
    }

    public Double getWriteTotal() {
        return writeTotal;
    }

    public void setWriteTotal(Double writeTotal) {
        this.writeTotal = writeTotal;
    }

}

