package com.cloudbility.openapi.vo.healthCheck.subItem;

import com.cloudbility.openapi.vo.healthCheck.HealthCheckItemType;
import com.cloudbility.openapi.vo.healthCheck.HealthResult;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;

import java.util.List;

@ApiModel
public class GhostAccountCheck {
    @ApiModelProperty("体检项")
    private HealthCheckItemType healthCheckItemType = HealthCheckItemType.GhostAccount;
    @ApiModelProperty(value = "健康等级")
    private HealthResult level;
    @ApiModelProperty(value = "信息备注")
    private String comment;
    @ApiModelProperty(value = "是否有数据")
    private Boolean dataFound = false;
    @ApiModelProperty(value = "幽灵账号")
    private List<GhostAccount> ghostAccountList;

    public static class GhostAccount {
        @ApiModelProperty("账号")
        private String username;
        @ApiModelProperty("一个月内登录次数")
        private String loginFrequency;
        @ApiModelProperty("root账号")
        private String rootUser;

        public String getUsername() {
            return username;
        }

        public void setUsername(String username) {
            this.username = username;
        }

        public String getLoginFrequency() {
            return loginFrequency;
        }

        public void setLoginFrequency(String loginFrequency) {
            this.loginFrequency = loginFrequency;
        }

        public String getRootUser() {
            return rootUser;
        }

        public void setRootUser(String rootUser) {
            this.rootUser = rootUser;
        }
    }

    public HealthCheckItemType getHealthCheckItemType() {
        return healthCheckItemType;
    }

    public void setHealthCheckItemType(HealthCheckItemType healthCheckItemType) {
        this.healthCheckItemType = healthCheckItemType;
    }

    public HealthResult getLevel() {
        return level;
    }

    public void setLevel(HealthResult level) {
        this.level = level;
    }

    public String getComment() {
        return comment;
    }

    public void setComment(String comment) {
        this.comment = comment;
    }

    public Boolean getDataFound() {
        return dataFound;
    }

    public void setDataFound(Boolean dataFound) {
        this.dataFound = dataFound;
    }

    public List<GhostAccount> getGhostAccountList() {
        return ghostAccountList;
    }

    public void setGhostAccountList(List<GhostAccount> ghostAccountList) {
        this.ghostAccountList = ghostAccountList;
    }
}
