package com.cloudbility.openapi.vo.healthCheck.subItem;

import com.cloudbility.openapi.vo.healthCheck.HealthCheckItemType;
import com.cloudbility.openapi.vo.healthCheck.HealthResult;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;

import java.util.List;

@ApiModel
public class GhostKeyCheck {
    @ApiModelProperty("体检项")
    private HealthCheckItemType healthCheckItemType = HealthCheckItemType.GhostKey;
    @ApiModelProperty(value = "健康等级")
    private HealthResult level;
    @ApiModelProperty(value = "信息备注")
    private String comment;
    @ApiModelProperty(value = "是否有数据")
    private Boolean dataFound = false;
    @ApiModelProperty(value = "幽灵密钥")
    private List<GhostKey> ghostKeyList;

    @ApiModel
    public static class GhostKey {
        @ApiModelProperty("账号")
        private String username;
        @ApiModelProperty("密钥")
        private String pubKey;
        @ApiModelProperty("描述")
        private String comment;
        @ApiModelProperty("类型")
        private String keyType;

        public String getUsername() {
            return username;
        }

        public void setUsername(String username) {
            this.username = username;
        }

        public String getPubKey() {
            return pubKey;
        }

        public void setPubKey(String pubKey) {
            this.pubKey = pubKey;
        }

        public String getComment() {
            return comment;
        }

        public void setComment(String comment) {
            this.comment = comment;
        }

        public String getKeyType() {
            return keyType;
        }

        public void setKeyType(String keyType) {
            this.keyType = keyType;
        }
    }

    public HealthCheckItemType getHealthCheckItemType() {
        return healthCheckItemType;
    }

    public void setHealthCheckItemType(HealthCheckItemType healthCheckItemType) {
        this.healthCheckItemType = healthCheckItemType;
    }

    public HealthResult getLevel() {
        return level;
    }

    public void setLevel(HealthResult level) {
        this.level = level;
    }

    public String getComment() {
        return comment;
    }

    public void setComment(String comment) {
        this.comment = comment;
    }

    public Boolean getDataFound() {
        return dataFound;
    }

    public void setDataFound(Boolean dataFound) {
        this.dataFound = dataFound;
    }

    public List<GhostKey> getGhostKeyList() {
        return ghostKeyList;
    }

    public void setGhostKeyList(List<GhostKey> ghostKeyList) {
        this.ghostKeyList = ghostKeyList;
    }
}
