package com.cloudbility.openapi.vo.healthCheck.subItem;

import com.cloudbility.openapi.vo.healthCheck.HealthCheckItemType;
import com.cloudbility.openapi.vo.healthCheck.HealthResult;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;

@ApiModel
public class InternetCheck {

    @ApiModelProperty("体检项")
    private HealthCheckItemType healthCheckItemType=HealthCheckItemType.Internet;
    @ApiModelProperty(value = "健康等级")
    private HealthResult level;

    @ApiModelProperty(value = "信息备注")
    private String comment;
    @ApiModelProperty(value = "昨天公网出站负载", example = "正常、极高、较高、找不到公网出站流量数据")
    private String outComment;
    @ApiModelProperty(value = "出站数据是否存在")
    private Boolean dataFound = false;

    @ApiModelProperty(value = "负载因子信息",example = "{\"level\":\"low\",\"value\":5.0}")
    private LoadItem load;

    @ApiModelProperty(value = "平均值")
    private Double mean;
    @ApiModelProperty(value = "中位数")
    private Double median;
    @ApiModelProperty(value = "95分位数")
    private Double percentile;

    @ApiModelProperty(value = "昨天出站流量")
    private Double outTraffic;
    @ApiModelProperty(value = "按量计费出站总流量备注", example = "正常、过高，达到6.9GB")
    private String outTrafficComment;
    @ApiModelProperty(value = "负载等级", allowableValues = "HEALTH,WARNING,ERROR")
    private String outTrafficLevel;
    @ApiModelProperty(value = "计费类型", allowableValues = "PayByTraffic(按量计费)、PayByBandwidth(固定带宽)")
    private String chargeType;

    @ApiModelProperty(value = "峰值速率，单位bps")
    private Double peekSpeed;
    @ApiModelProperty(value = "速率等级", allowableValues = "HEALTH,WARNING,ERROR")
    private String outRateLevel;
    @ApiModelProperty(value = "峰值速率时长，单位分钟")
    private Double fullTime;

    public HealthCheckItemType getHealthCheckItemType() {
        return healthCheckItemType;
    }

    public void setHealthCheckItemType(HealthCheckItemType healthCheckItemType) {
        this.healthCheckItemType = healthCheckItemType;
    }

    public LoadItem getLoad() {
        return load;
    }

    public void setLoad(LoadItem load) {
        this.load = load;
    }

    public HealthResult getLevel() {
        return level;
    }

    public void setLevel(HealthResult level) {
        this.level = level;
    }

    public String getComment() {
        return comment;
    }

    public void setComment(String comment) {
        this.comment = comment;
    }

    public String getOutComment() {
        return outComment;
    }

    public void setOutComment(String outComment) {
        this.outComment = outComment;
    }

    public Boolean getDataFound() {
        return dataFound;
    }

    public void setDataFound(Boolean dataFound) {
        this.dataFound = dataFound;
    }

    public Double getMean() {
        return mean;
    }

    public void setMean(Double mean) {
        this.mean = mean;
    }

    public Double getMedian() {
        return median;
    }

    public void setMedian(Double median) {
        this.median = median;
    }

    public Double getPercentile() {
        return percentile;
    }

    public void setPercentile(Double percentile) {
        this.percentile = percentile;
    }

    public Double getOutTraffic() {
        return outTraffic;
    }

    public void setOutTraffic(Double outTraffic) {
        this.outTraffic = outTraffic;
    }

    public String getOutTrafficComment() {
        return outTrafficComment;
    }

    public void setOutTrafficComment(String outTrafficComment) {
        this.outTrafficComment = outTrafficComment;
    }

    public String getOutTrafficLevel() {
        return outTrafficLevel;
    }

    public void setOutTrafficLevel(String outTrafficLevel) {
        this.outTrafficLevel = outTrafficLevel;
    }

    public String getChargeType() {
        return chargeType;
    }

    public void setChargeType(String chargeType) {
        this.chargeType = chargeType;
    }

    public Double getPeekSpeed() {
        return peekSpeed;
    }

    public void setPeekSpeed(Double peekSpeed) {
        this.peekSpeed = peekSpeed;
    }

    public String getOutRateLevel() {
        return outRateLevel;
    }

    public void setOutRateLevel(String outRateLevel) {
        this.outRateLevel = outRateLevel;
    }

    public Double getFullTime() {
        return fullTime;
    }

    public void setFullTime(Double fullTime) {
        this.fullTime = fullTime;
    }

}
