package com.cloudbility.openapi.vo.healthCheck.subItem;

import com.cloudbility.openapi.vo.healthCheck.HealthCheckItemType;
import com.cloudbility.openapi.vo.healthCheck.HealthResult;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;

import java.util.List;

/**
 * @author heyanqiao
 * @since 2021-05-31
 */
@ApiModel
public class InternetInTrafficCheck {
    @ApiModelProperty("体检项")
    private HealthCheckItemType healthCheckItemType=HealthCheckItemType.InternetInTraffic;
    @ApiModelProperty(value = "健康等级")
    private HealthResult level;

    @ApiModelProperty(value = "信息备注")
    private String comment;

    @ApiModelProperty(value = "是否找到入站流量数据")
    private Boolean dataFound = false;

    @ApiModelProperty(value = "入站流量等级", allowableValues = "HEALTH,WARNING,ERROR")
    private String inTrafficLevel;
    @ApiModelProperty(value = "信息备注")
    private String inComment;

    @ApiModelProperty(value = "最大入站流量，单位：Byte")
    private Double inTrafficMax;
    @ApiModelProperty(value = "平均入站流量，单位：Byte")
    private Double inTrafficMean;
    @ApiModelProperty(value = "最小入站流量，单位：Byte")
    private Double inTrafficMin;
    @ApiModelProperty(value = "昨日总入站流量，单位：Byte")
    private Double inTraffic;

    @ApiModelProperty(value = "记录每天的总流量，单位：Byte")
    private List<Double> inDate;
    @ApiModelProperty(value = "数据开始时间戳，毫秒值")
    private Long inStartTime;


    public HealthCheckItemType getHealthCheckItemType() {
        return healthCheckItemType;
    }

    public void setHealthCheckItemType(HealthCheckItemType healthCheckItemType) {
        this.healthCheckItemType = healthCheckItemType;
    }

    public HealthResult getLevel() {
        return level;
    }

    public void setLevel(HealthResult level) {
        this.level = level;
    }

    public String getComment() {
        return comment;
    }

    public void setComment(String comment) {
        this.comment = comment;
    }

    public Boolean getDataFound() {
        return dataFound;
    }

    public void setDataFound(Boolean dataFound) {
        this.dataFound = dataFound;
    }

    public String getInTrafficLevel() {
        return inTrafficLevel;
    }

    public void setInTrafficLevel(String inTrafficLevel) {
        this.inTrafficLevel = inTrafficLevel;
    }

    public String getInComment() {
        return inComment;
    }

    public void setInComment(String inComment) {
        this.inComment = inComment;
    }

    public Double getInTrafficMax() {
        return inTrafficMax;
    }

    public void setInTrafficMax(Double inTrafficMax) {
        this.inTrafficMax = inTrafficMax;
    }

    public Double getInTrafficMean() {
        return inTrafficMean;
    }

    public void setInTrafficMean(Double inTrafficMean) {
        this.inTrafficMean = inTrafficMean;
    }

    public Double getInTrafficMin() {
        return inTrafficMin;
    }

    public void setInTrafficMin(Double inTrafficMin) {
        this.inTrafficMin = inTrafficMin;
    }

    public Double getInTraffic() {
        return inTraffic;
    }

    public void setInTraffic(Double inTraffic) {
        this.inTraffic = inTraffic;
    }

    public List<Double> getInDate() {
        return inDate;
    }

    public void setInDate(List<Double> inDate) {
        this.inDate = inDate;
    }

    public Long getInStartTime() {
        return inStartTime;
    }

    public void setInStartTime(Long inStartTime) {
        this.inStartTime = inStartTime;
    }
}
