package com.cloudbility.openapi.vo.healthCheck.subItem;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;

/**
 * 体检负载因子指数
 *
 * @author heyanqiao
 * @since 2021-06-15
 */
@ApiModel
public class LoadItem {
    @ApiModelProperty(value = "负载等级", allowableValues = "low|normal|high|heavy")
    private String level;
    @ApiModelProperty(value = "负载指数，取值范围根据level有：[0~10)|[10,75)|[75,90)|[90,100]")
    private Double value;

    public static Double convertValue(Object v){
        //体检有可能是“NaN”
        if (v instanceof String) {
            return 0d;
        }
        return (Double) v;
    }

    public String getLevel() {
        return level;
    }

    public void setLevel(String level) {
        this.level = level;
    }

    public Double getValue() {
        return value;
    }

    public void setValue(Double value) {
        this.value = value;
    }
}
