package com.cloudbility.openapi.vo.healthCheck.subItem;

import com.cloudbility.openapi.vo.healthCheck.HealthCheckItemType;
import com.cloudbility.openapi.vo.healthCheck.HealthResult;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;

/**
 * @author heyanqiao
 * @since 2021-05-31
 */
@ApiModel
public class MemoryTrendCheck {

    @ApiModelProperty("体检项")
    private HealthCheckItemType healthCheckItemType = HealthCheckItemType.MemoryTrend;
    @ApiModelProperty(value = "健康等级")
    private HealthResult level;

    @ApiModelProperty(value = "信息备注")
    private String comment;

    @ApiModelProperty(value = "是否存在趋势检查数据")
    private Boolean dataFound = false;

    @ApiModelProperty(value = "是否处于增长中", allowableValues = "true、false")
    private String increaseLevel;
    @ApiModelProperty(value = "增长趋势说明")
    private String regressionComment;
    @ApiModelProperty(value = "已使用天数")
    private Integer validDays;
    @ApiModelProperty(value = "剩余使用天数")
    private Double fullRemainDays;
    @ApiModelProperty(value = "平均值")
    private Double mean;
    @ApiModelProperty(value = "中位数")
    private Double median;
    @ApiModelProperty(value = "95分位数")
    private Double percentile;
    @ApiModelProperty(value = "标准差，浮动范围")
    private Double stdev;

    public HealthCheckItemType getHealthCheckItemType() {
        return healthCheckItemType;
    }

    public void setHealthCheckItemType(HealthCheckItemType healthCheckItemType) {
        this.healthCheckItemType = healthCheckItemType;
    }

    public Integer getValidDays() {
        return validDays;
    }

    public void setValidDays(Integer validDays) {
        this.validDays = validDays;
    }

    public Double getFullRemainDays() {
        return fullRemainDays;
    }

    public void setFullRemainDays(Double fullRemainDays) {
        this.fullRemainDays = fullRemainDays;
    }

    public HealthResult getLevel() {
        return level;
    }

    public void setLevel(HealthResult level) {
        this.level = level;
    }

    public String getComment() {
        return comment;
    }

    public void setComment(String comment) {
        this.comment = comment;
    }

    public Boolean getDataFound() {
        return dataFound;
    }

    public void setDataFound(Boolean dataFound) {
        this.dataFound = dataFound;
    }

    public String getIncreaseLevel() {
        return increaseLevel;
    }

    public void setIncreaseLevel(String increaseLevel) {
        this.increaseLevel = increaseLevel;
    }

    public String getRegressionComment() {
        return regressionComment;
    }

    public void setRegressionComment(String regressionComment) {
        this.regressionComment = regressionComment;
    }

    public Double getMean() {
        return mean;
    }

    public void setMean(Double mean) {
        this.mean = mean;
    }

    public Double getMedian() {
        return median;
    }

    public void setMedian(Double median) {
        this.median = median;
    }

    public Double getPercentile() {
        return percentile;
    }

    public void setPercentile(Double percentile) {
        this.percentile = percentile;
    }

    public Double getStdev() {
        return stdev;
    }

    public void setStdev(Double stdev) {
        this.stdev = stdev;
    }
}
