package com.cloudbility.openapi.vo.healthCheck.subItem;

import com.cloudbility.openapi.vo.healthCheck.HealthCheckItemType;
import com.cloudbility.openapi.vo.healthCheck.HealthResult;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;

import java.util.List;

@ApiModel
public class OrphanCredentialsCheck {
    @ApiModelProperty("体检项")
    private HealthCheckItemType healthCheckItemType = HealthCheckItemType.OrphanCredentials;
    @ApiModelProperty(value = "健康等级")
    private HealthResult level;
    @ApiModelProperty(value = "信息备注")
    private String comment;
    @ApiModelProperty(value = "是否有数据")
    private Boolean dataFound = false;
    @ApiModelProperty(value = "孤儿凭证")
    private List<OrphanCredential> orphanCredentialList;

    @ApiModel
    public static class OrphanCredential {
        @ApiModelProperty("主机ID")
        private Long hostId;
        @ApiModelProperty("凭证ID")
        private Long hostCredentialId;
        @ApiModelProperty("凭证名称")
        private String hostCredentialName;
        @ApiModelProperty("凭证描述")
        private String hostCredentialDesc;
        @ApiModelProperty("凭证方案ID")
        private Long credentialPolicyId;

        public Long getHostId() {
            return hostId;
        }

        public void setHostId(Long hostId) {
            this.hostId = hostId;
        }

        public Long getHostCredentialId() {
            return hostCredentialId;
        }

        public void setHostCredentialId(Long hostCredentialId) {
            this.hostCredentialId = hostCredentialId;
        }

        public String getHostCredentialName() {
            return hostCredentialName;
        }

        public void setHostCredentialName(String hostCredentialName) {
            this.hostCredentialName = hostCredentialName;
        }

        public String getHostCredentialDesc() {
            return hostCredentialDesc;
        }

        public void setHostCredentialDesc(String hostCredentialDesc) {
            this.hostCredentialDesc = hostCredentialDesc;
        }

        public Long getCredentialPolicyId() {
            return credentialPolicyId;
        }

        public void setCredentialPolicyId(Long credentialPolicyId) {
            this.credentialPolicyId = credentialPolicyId;
        }
    }

    public HealthCheckItemType getHealthCheckItemType() {
        return healthCheckItemType;
    }

    public void setHealthCheckItemType(HealthCheckItemType healthCheckItemType) {
        this.healthCheckItemType = healthCheckItemType;
    }

    public HealthResult getLevel() {
        return level;
    }

    public void setLevel(HealthResult level) {
        this.level = level;
    }

    public String getComment() {
        return comment;
    }

    public void setComment(String comment) {
        this.comment = comment;
    }

    public Boolean getDataFound() {
        return dataFound;
    }

    public void setDataFound(Boolean dataFound) {
        this.dataFound = dataFound;
    }

    public List<OrphanCredential> getOrphanCredentialList() {
        return orphanCredentialList;
    }

    public void setOrphanCredentialList(List<OrphanCredential> orphanCredentialList) {
        this.orphanCredentialList = orphanCredentialList;
    }
}
