package com.cloudbility.openapi.vo.healthCheck.subItem;

import com.cloudbility.openapi.vo.healthCheck.HealthCheckItemType;
import com.cloudbility.openapi.vo.healthCheck.HealthResult;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;

import java.util.List;

/**
 * @author heyanqiao
 * @since 2021-05-31
 */
@ApiModel
public class PortCheck {
    @ApiModelProperty("体检项")
    private HealthCheckItemType healthCheckItemType = HealthCheckItemType.Port;
    @ApiModelProperty(value = "是否存在检查数据")
    private Boolean dataFound = false;
    @ApiModelProperty(value = "健康等级")
    private HealthResult level;

    @ApiModelProperty(value = "信息备注")
    private String comment;

    @ApiModelProperty(value = "存在开放危险端口")
    private Boolean hasUnsecurePort;

    @ApiModelProperty(value = "存在状态未知端口")
    private Boolean hasUnknownPort;

    @ApiModelProperty(value = "端口列表信息")
    private List<PortResult> ports;

    public Boolean getDataFound() {
        return dataFound;
    }

    public void setDataFound(Boolean dataFound) {
        this.dataFound = dataFound;
    }

    public HealthCheckItemType getHealthCheckItemType() {
        return healthCheckItemType;
    }

    public void setHealthCheckItemType(HealthCheckItemType healthCheckItemType) {
        this.healthCheckItemType = healthCheckItemType;
    }

    public HealthResult getLevel() {
        return level;
    }

    public void setLevel(HealthResult level) {
        this.level = level;
    }

    public String getComment() {
        return comment;
    }

    public void setComment(String comment) {
        this.comment = comment;
    }

    public Boolean getHasUnsecurePort() {
        return hasUnsecurePort;
    }

    public void setHasUnsecurePort(Boolean hasUnsecurePort) {
        this.hasUnsecurePort = hasUnsecurePort;
    }

    public Boolean getHasUnknownPort() {
        return hasUnknownPort;
    }

    public void setHasUnknownPort(Boolean hasUnknownPort) {
        this.hasUnknownPort = hasUnknownPort;
    }

    public List<PortResult> getPorts() {
        return ports;
    }

    public void setPorts(List<PortResult> ports) {
        this.ports = ports;
    }
}
