package com.cloudbility.openapi.vo.healthCheck.subItem;

import com.cloudbility.openapi.vo.healthCheck.HealthCheckItemType;
import com.cloudbility.openapi.vo.healthCheck.HealthResult;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;

import java.util.Map;

/**
 * @author heyanqiao
 * @since 2021-05-31
 */
@ApiModel
public class TmpDirExecutableCheck {
    @ApiModelProperty("体检项")
    private HealthCheckItemType healthCheckItemType = HealthCheckItemType.TmpDirExecutable;
    @ApiModelProperty(value = "健康等级")
    private HealthResult level;

    @ApiModelProperty(value = "信息备注")
    private String comment;

    @ApiModelProperty(value = "是否存在临时目录安全隐患")
    private Boolean dataFound = false;

    @ApiModelProperty(value = "安全隐患目录,Map:key为临时目录路径,value为磁盘挂载方式")
    Map<String, String> unsecureDirs;

    public HealthCheckItemType getHealthCheckItemType() {
        return healthCheckItemType;
    }

    public void setHealthCheckItemType(HealthCheckItemType healthCheckItemType) {
        this.healthCheckItemType = healthCheckItemType;
    }

    public HealthResult getLevel() {
        return level;
    }

    public void setLevel(HealthResult level) {
        this.level = level;
    }

    public String getComment() {
        return comment;
    }

    public void setComment(String comment) {
        this.comment = comment;
    }

    public Boolean getDataFound() {
        return dataFound;
    }

    public void setDataFound(Boolean dataFound) {
        this.dataFound = dataFound;
    }

    public Map<String, String> getUnsecureDirs() {
        return unsecureDirs;
    }

    public void setUnsecureDirs(Map<String, String> unsecureDirs) {
        this.unsecureDirs = unsecureDirs;
    }
}
