package com.cloudbility.openapi.vo.healthCheck.subItem;

import com.cloudbility.openapi.vo.healthCheck.HealthCheckItemType;
import com.cloudbility.openapi.vo.healthCheck.HealthResult;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;

import java.util.List;
import java.util.Map;

/**
 * @author heyanqiao
 * @since 2021-05-31
 */
@ApiModel
public class WebServerUserCheck {
    @ApiModelProperty("体检项")
    private HealthCheckItemType healthCheckItemType = HealthCheckItemType.WebServerUser;
    @ApiModelProperty(value = "是否存在WebServer安全隐患")
    private Boolean dataFound = false;

    @ApiModelProperty(value = "不安全的WebServer列表,[{\"pid\":123456,\"serviceName\":\"testServer\"}]", example = "[{\"pid\":123456,\"serviceName\":\"testServer\"}]")
    List<Map<String, String>> unsecureServiceList;

    @ApiModelProperty(value = "健康等级")
    private HealthResult level;

    @ApiModelProperty(value = "信息备注")
    private String comment;

    public HealthCheckItemType getHealthCheckItemType() {
        return healthCheckItemType;
    }

    public void setHealthCheckItemType(HealthCheckItemType healthCheckItemType) {
        this.healthCheckItemType = healthCheckItemType;
    }

    public Boolean getDataFound() {
        return dataFound;
    }

    public void setDataFound(Boolean dataFound) {
        this.dataFound = dataFound;
    }

    public List<Map<String, String>> getUnsecureServiceList() {
        return unsecureServiceList;
    }

    public void setUnsecureServiceList(List<Map<String, String>> unsecureServiceList) {
        this.unsecureServiceList = unsecureServiceList;
    }

    public HealthResult getLevel() {
        return level;
    }

    public void setLevel(HealthResult level) {
        this.level = level;
    }

    public String getComment() {
        return comment;
    }

    public void setComment(String comment) {
        this.comment = comment;
    }
}
