package com.cloudbility.openapi.vo.log;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;

import java.util.Date;
import java.util.HashMap;
import java.util.Map;

@ApiModel
public class LogVo  {
    @ApiModelProperty("日志的ID")
    private String id;
    @ApiModelProperty("日志分类")
    private String cluster;
    @ApiModelProperty("所属团队ID")
    private Long teamId;
    @ApiModelProperty("所属团队名称")
    private String teamName;
    @ApiModelProperty("操作人")
    private Actor actor;
    @ApiModelProperty("操作名称")
    private String action;
    @ApiModelProperty("日志状态")
    private String status;
    @ApiModelProperty("错误码")
    private String errorCode;//错误代码(IF FAIL)
    @ApiModelProperty("错误信息")
    private String errorMsg;//错误原因(IF FAIL)
    @ApiModelProperty("创建时间")
    private Date createTime;
    @ApiModelProperty("操作人远程IP")
    private String remoteIp;//有的日志有 接口请求的IP
    @ApiModelProperty("事件源")
    private String actionSource;//有的日志有 格式:"116.30.221.22 (广东省深圳市福田区)"
    @ApiModelProperty("额外信息")
    private Map<String, Object> extraInfo;

    @ApiModelProperty("扩展信息")
    private Map<String, Object> extendMap;

    public String getId() {
        return id;
    }

    public void setId(String id) {
        this.id = id;
    }

    public String getCluster() {
        return cluster;
    }

    public void setCluster(String cluster) {
        this.cluster = cluster;
    }

    public Long getTeamId() {
        return teamId;
    }

    public void setTeamId(Long teamId) {
        this.teamId = teamId;
    }

    public String getTeamName() {
        return teamName;
    }

    public void setTeamName(String teamName) {
        this.teamName = teamName;
    }

    public Actor getActor() {
        return actor;
    }

    public void setActor(Actor actor) {
        this.actor = actor;
    }

    public String getAction() {
        return action;
    }

    public void setAction(String action) {
        this.action = action;
    }

    public String getStatus() {
        return status;
    }

    public void setStatus(String status) {
        this.status = status;
    }

    public String getErrorCode() {
        return errorCode;
    }

    public void setErrorCode(String errorCode) {
        this.errorCode = errorCode;
    }

    public String getErrorMsg() {
        return errorMsg;
    }

    public void setErrorMsg(String errorMsg) {
        this.errorMsg = errorMsg;
    }

    public Date getCreateTime() {
        return createTime;
    }

    public void setCreateTime(Date createTime) {
        this.createTime = createTime;
    }

    public String getRemoteIp() {
        return remoteIp;
    }

    public void setRemoteIp(String remoteIp) {
        this.remoteIp = remoteIp;
    }

    public String getActionSource() {
        return actionSource;
    }

    public void setActionSource(String actionSource) {
        this.actionSource = actionSource;
    }

    public Map<String, Object> getExtraInfo() {
        return extraInfo;
    }

    public void setExtraInfo(Map<String, Object> extraInfo) {
        this.extraInfo = extraInfo;
    }

    public Map<String, Object> getExtendMap() {
        return extendMap;
    }

    public void setExtendMap(Map<String, Object> extendMap) {
        this.extendMap = extendMap;
    }
}
