package com.cloudbility.openapi.vo.monitor;

import io.swagger.annotations.ApiModel;

@ApiModel
public enum FuncName {
    mean,//平均值
    median,//中位数
    stddev,//标准差
    first,//
    last,
    max,
    min,
    sum,
    percentile(1),
/*        top(1),
        bottom(1),*/
    ;
    private int paramLen = 0;

    FuncName() {
    }

    FuncName(int paramLen) {
        this.paramLen = paramLen;
    }

    public static FuncName byName(String funcName) {
        for (FuncName name : values()) {
            if (funcName != null && funcName.equalsIgnoreCase(name.name())) {
                return name;
            }
        }
        throw new IllegalArgumentException("Invalid monitor function name " + funcName);
    }

    public int getParamLen() {
        return paramLen;
    }
}
