package com.cloudbility.openapi.vo.monitor;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;

import java.util.Date;
import java.util.HashMap;
import java.util.Map;

@ApiModel
public class SingletonData {

    @ApiModelProperty("数据点的标签。例如hostId=xx,diskname=C:，等等")
    private Map<String, Object> tags = new HashMap<>();

    @ApiModelProperty("数据点的监控项名")
    private String measurement;

    @ApiModelProperty("")
    private String dimensionName;

    @ApiModelProperty("数据点的统计函数")
    private Func func;

    @ApiModelProperty("数据点所处的时间。如果函数不支持，则为null")
    private Date time;

    @ApiModelProperty("数据点的值")
    private double value;

    @ApiModelProperty("单位")
    private String unit;

    @ApiModelProperty("英文单位")
    private String unitEn;

    public Map<String, Object> getTags() {
        return tags;
    }

    public void setTags(Map<String, Object> tags) {
        this.tags = tags;
    }

    public Func getFunc() {
        return func;
    }

    public void setFunc(Func func) {
        this.func = func;
    }

    public Date getTime() {
        return time;
    }

    public void setTime(Date time) {
        this.time = time;
    }

    public double getValue() {
        return value;
    }

    public void setValue(double value) {
        this.value = value;
    }

    public String getMeasurement() {
        return measurement;
    }

    public void setMeasurement(String measurement) {
        this.measurement = measurement;
    }

    public String getDimensionName() {
        return dimensionName;
    }

    public void setDimensionName(String dimensionName) {
        this.dimensionName = dimensionName;
    }

    public String getUnit() {
        return unit;
    }

    public void setUnit(String unit) {
        this.unit = unit;
    }

    public String getUnitEn() {
        return unitEn;
    }

    public void setUnitEn(String unitEn) {
        this.unitEn = unitEn;
    }
}
